<?php

$language = substr( get_bloginfo ( 'language' ), 0, 2 );
$asset_path = INTENSE_PLUGIN_URL . '/assets';
$minified = ( INTENSE_DEBUG ? "" : "min." );
$src_path = ( INTENSE_DEBUG ? "src" : "dist" );
$random = rand();

$assets = array( 
	'style' => array(		
	  	'adipoli' => array( 'adipoli', $asset_path .'/js/Adipoli/adipoli.' . $minified . 'css', null, "20130127" ),
	  	'colorbox1' => array( 'colorbox1', $asset_path .'/js/colorbox/example1/colorbox.' . $minified . 'css', null, "1.4.27" ),
	  	'colorbox2' => array( 'colorbox2', $asset_path .'/js/colorbox/example2/colorbox.' . $minified . 'css', null, "1.4.27" ),
	  	'colorbox3' => array( 'colorbox3', $asset_path .'/js/colorbox/example3/colorbox.' . $minified . 'css', null, "1.4.27" ),
	  	'colorbox4' => array( 'colorbox4', $asset_path .'/js/colorbox/example4/colorbox.' . $minified . 'css', null, "1.4.27" ),
	  	'colorbox5' => array( 'colorbox5', $asset_path .'/js/colorbox/example5/colorbox.' . $minified . 'css', null, "1.4.27" ),
	  	'effeckt_caption' => array( 'effeckt_caption', $asset_path .'/css/intense/captions.' . $minified . 'css', null, INTENSE_PLUGIN_VERSION ),
	  	'galleria' => array( 'galleria', $asset_path .'/js/galleria/src/themes/classic/galleria.classic.' . $minified . 'css', null, "1.3.5" ),
	  	'intense.admin' => array( 'intense.admin', $asset_path .'/css/intense/admin.' . $minified . 'css', null, INTENSE_PLUGIN_VERSION ),
	  	'intense.adminicons' => array( 'intense.adminicons', $asset_path .'/css/intense/adminicons.' . $minified . 'css', null, INTENSE_PLUGIN_VERSION ),
	  	'intense.dialogs' => array( 'intense.dialogs', $asset_path .'/css/intense/dialogs.' . $minified . 'css', null, INTENSE_PLUGIN_VERSION ),
	  	'intense.visualcomposer' => array( 'intense.visualcomposer', INTENSE_PLUGIN_URL . '/inc/shortcodes/composer/css/intense_composer.' . $minified . 'css', null, INTENSE_PLUGIN_VERSION ),
	  	'intense_flexslider' => array( 'intense_flexslider', $asset_path . '/js/flexslider/flexslider.' . $minified . 'css', null, "2.5.0" ),
	  	'intense_infinite_scroll' => array( 'intense_infinite_scroll', $asset_path .'/js/infinite-ajax-scroll/css/jquery.ias.' . $minified . 'css', null, "2.1.0" ),
	  	'intense_text_rotator' => array( 'intense_text_rotator', $asset_path .'/js/simple-text-rotator/simpletextrotator.' . $minified . 'css', null, "v1" ),
	  	'intense_video_js_css' => array( 'intense_video_js_css', $asset_path .'/js/video-js/video-js.' . $minified . 'css', null, "v4.8.1" ),
	  	'lazyloadxt.spinner' => array( 'lazyloadxt.spinner', $asset_path . '/js/lazyloadxt/dist/jquery.lazyloadxt.spinner.' . $minified . 'css', null, '1.0.5' ),
	  	'magnific-popup' => array( 'magnific-popup', $asset_path . '/js/magnific-popup/dist/magnific-popup.' . $minified . 'css', null, 'v0.9.9' ),
	  	'minicolors' => array( 'minicolors', $asset_path . '/js/jquery-minicolors/jquery.minicolors.' . $minified . 'css', null, "2.1.12" ),
	  	'owlcarousel' => array( 'owlcarousel', $asset_path . '/js/OwlCarousel/owl-carousel/owl.carousel.' . $minified . 'css', null, "1.3.2" ),
	  	'owlcarousel-theme' => array( 'owlcarousel-theme', $asset_path . '/js/OwlCarousel/owl-carousel/owl.theme.' . $minified . 'css', null, "1.3.2" ),
	  	'owlcarousel-transitions' => array( 'owlcarousel-transitions', $asset_path . '/js/OwlCarousel/owl-carousel/owl.transitions.' . $minified . 'css', null, "1.3.2" ),
	  	'photoswipe' => array( 'photoswipe', $asset_path .'/js/PhotoSwipe/photoswipe.' . $minified . 'css', null, "3.0.5" ),
	  	'prettyphoto' => array( 'prettyphoto', $asset_path .'/js/jquery-prettyPhoto/css/prettyPhoto.' . $minified . 'css', null, "3.1.6" ),
	  	'qtip2' => array( 'qtip2', $asset_path .'/js/qtip2/jquery.qtip.' . $minified . 'css', null, "v2.2.0" ),
	  	'selectize' => array( 'selectize', $asset_path . '/js/selectize/dist/css/selectize.default.' . $minified . 'css', null, "v0.9.1" ),
	  	'slicknav' => array( 'slicknav', $asset_path .'/js/slicknav/dist/slicknav.' . $minified . 'css', null, "1.0.4" ),
	  	'subtle-effect' => array( 'subtle-effect', $asset_path .'/css/intense/subtleeffect.' . $minified . 'css', null, "1.0.0" ),
	  	'supersized_shutter_style' => array( 'supersized_shutter_style', $asset_path .'/js/supersized-themes/slideshow/supersized.shutter.' . $minified . 'css', array( 'supersized_style' ), "3.2.7" ),
	  	'supersized_style' => array( 'supersized_style', $asset_path .'/js/supersized/slideshow/css/supersized.' . $minified . 'css', null, "3.2.7" ),
	  	'supersized_theme' => array( 'supersized_theme', $asset_path .'/css/supersized.' . $minified . 'css', null, INTENSE_PLUGIN_VERSION ),
	  	'swipebox' => array( 'swipebox', $asset_path .'/js/swipebox/src/css/swipebox.' . $minified . 'css', null, "1.4.1" ),
	  	'touchtouch' => array( 'touchtouch', $asset_path .'/js/TouchTouch/assets/touchTouch/touchTouch.' . $minified . 'css', null, "1.0" ),
	  	'twentytwenty' => array( 'twentytwenty', $asset_path .'/js/twentytwenty/css/twentytwenty.' . $minified . 'css', null, "20140519" ),
	),
	'script' => array(
		'accounting.js' => array( 'accounting.js', $asset_path . '/js/accounting/accounting.' . $minified . 'js', array( 'jquery' ), "0.3.2", true ),
		'adipoli' => array( 'adipoli', $asset_path . '/js/Adipoli/jquery.adipoli.' . $minified . 'js', array( 'jquery' ), "cab9fc672e", true ),
		'bootstrap-alert' => array( 'bootstrap-alert', $asset_path . '/js/bootstrap/alert.' . $minified . 'js', array( 'jquery' ), "3.0.1", true ),
		'bootstrap-tab' => array( 'bootstrap-tab', $asset_path . '/js/bootstrap/tab.' . $minified . 'js', array( 'jquery' ), "2.3.1" ),
		'camanjs' => array( 'camanjs', $asset_path . '/js/caman/dist/caman.full.' . $minified . 'js', array( 'jquery' ), "4.1.2", true ),
		'chartjs' => array( 'chartjs', $asset_path . '/js/chartjs/Chart.' . $minified . 'js', array( 'jquery' ), "2.0.0-alpha3", true ),
		'colorbox' => array( 'colorbox', $asset_path . '/js/colorbox/jquery.colorbox-min.js', array( 'jquery' ), "1.5.3", true ),
		'colorbox-language' => array( 'colorbox-language', $asset_path . "/js/Colorbox/i18n/jquery.colorbox-$language.js", array( 'jquery', 'colorbox' ), "1.4.27", true ),
		'easing' => array( 'easing', $asset_path . '/js/supersized/slideshow/js/jquery.easing.min.js', array( 'jquery' ), "1.3", true ),
		'facebook_share' => array( 'facebook_share', $asset_path . '/js/intense/intense.social.facebook.' . $minified . 'js', null, "1.0", true ),
		'fittext' => array( 'fittext', $asset_path .'/js/FitText.js/jquery.fittext.' . $minified . 'js', null, "1.2" , true ),
		'galleria' => array( 'galleria', $asset_path . '/js/galleria/src/galleria.' . $minified . 'js', array( 'jquery' ), "1.3.5", true ),
		'galleriatheme' => array( 'galleriatheme', $asset_path . '/js/galleria/src/themes/classic/galleria.classic.' . $minified . 'js', array( 'jquery', 'galleria' ), "1.3.5", true ),
		'googlemap' => array( 'googlemap', 'https://maps.googleapis.com/maps/api/js?sensor=false&v=3&libraries=panoramio,weather', null, "3.0", true ),
		'googleplus_share' => array( 'googleplus_share', $asset_path . '/js/intense/intense.social.googleplus.' . $minified . 'js', null, "1.0", true ),
		'hoverintent' => array( 'hoverintent', $asset_path . '/js/superfish/dist/js/hoverIntent.' . $minified . 'js', array( 'jquery' ), "r7", true ),
		'ias_infinite_scroll' => array( 'ias_infinite_scroll', $asset_path . '/js/infinite-ajax-scroll/jquery-ias.' . $minified . 'js', array( 'jquery' ), "2.1.0", true ),
		'imagesloaded' => array( 'imagesloaded', $asset_path . '/js/qtip2/imagesloaded.pkg.min.js', array( 'jquery', 'qtip2' ), "v3.0.4", true ), //used with qtip2 to fix an isotope conflict. http://qtip2.com/guides#integration.isotope
		'intense.alert' => array( 'intense.alert', $asset_path . '/js/intense/intense.alert.' . $minified . 'js', array( 'jquery' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.animated' => array( 'intense.animated', $asset_path . '/js/intense/intense.animated.' . $minified . 'js', array( 'jquery' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.animated.image' => array( 'intense.animated.image', $asset_path . '/js/intense/intense.animated.image.' . $minified . 'js', array( 'jquery' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.animatedscroll' => array( 'intense.animatedscroll', $asset_path . '/js/intense/intense.animated.scroll.' . $minified . 'js', array( 'jquery' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.audio' => array( 'intense.audio', $asset_path . '/js/intense/intense.audio.' . $minified . 'js', null, INTENSE_PLUGIN_VERSION, true ),
		'intense.basicslider' => array( 'intense.basicslider', $asset_path . '/js/intense/intense.basicslider.' . $minified . 'js', array( 'jquery' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.collapsible' => array( 'intense.collapsible', $asset_path . '/js/intense/intense.collapsible.' . $minified . 'js', array( 'jquery' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.compatible.canvas' => array( 'intense.compatible.canvas', $asset_path . '/js/intense/intense.compatible.canvas.' . $minified . 'js', array( 'jquery', 'intense_modernizr' ), "1.0.0", true ),
		'intense.contentbox' => array( 'intense.contentbox', $asset_path . '/js/intense/intense.contentbox.' . $minified . 'js', array( 'jquery' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.contentsection' => array( 'intense.contentsection', $asset_path . '/js/intense/intense.contentsection.' . $minified . 'js', array( 'jquery' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.counter' => array( 'intense.counter', $asset_path . '/js/intense/intense.counter.' . $minified . 'js', array( 'jquery', 'jquery.appear' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.gallery' => array( 'intense.gallery', $asset_path . '/js/intense/intense.gallery.' . $minified . 'js', array( 'jquery' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.hover.box' => array( 'intense.hover.box', $asset_path . '/js/intense/intense.hover.box.' . $minified . 'js', array( 'jquery' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.hr' => array( 'intense.hr', $asset_path . '/js/intense/intense.hr.' . $minified . 'js', array( 'jquery' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.icon' => array( 'intense.icon', $asset_path . '/js/intense/intense.icon.' . $minified . 'js', array( 'jquery' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.lazyload' => array( 'intense.lazyload', $asset_path . '/js/intense/intense.lazyload.' . $minified . 'js', array( 'jquery', 'lazyloadxt' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.menu' => array( 'intense.menu', $asset_path . '/js/intense/intense.menu.' . $minified . 'js', array( 'jquery' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.popover' => array( 'intense.popover', $asset_path . '/js/intense/intense.popover.' . $minified . 'js', array( 'jquery', 'qtip2' ), "2.3.1", true ),
		'intense.pricingtable' => array( 'intense.pricingtable', $asset_path . '/js/intense/intense.pricingtable.' . $minified . 'js', array( 'jquery' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.progress' => array( 'intense.progress', $asset_path . '/js/intense/intense.progress.' . $minified . 'js', array( 'jquery', 'jquery.appear' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.shortcodes' => array( 'intense.shortcodes', $asset_path . '/js/intense/intense.shortcodes.' . $minified . 'js', array( 'jquery' ), INTENSE_PLUGIN_VERSION, true ),		
		'intense.subtle.effect' => array( 'intense.subtle.effect', $asset_path . '/js/intense/intense.subtle.effect.' . $minified . 'js', array( 'jquery' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.tabs' => array( 'intense.tabs', $asset_path . '/js/intense/intense.tabs.' . $minified . 'js', array( 'jquery' ), INTENSE_PLUGIN_VERSION, true ),
		'intense.tooltip' => array( 'intense.tooltip', $asset_path . '/js/intense/intense.tooltip.' . $minified . 'js', array( 'jquery', 'qtip2' ), "2.3.1", true ),
		'intense.video' => array( 'intense.video', $asset_path . '/js/intense/intense.video.' . $minified . 'js', array( 'jquery' ), INTENSE_PLUGIN_VERSION, true ),
		'intense_fitvids' => array( 'intense_fitvids', $asset_path . '/js/fitvids/jquery.fitvids.' . $minified . 'js', array( 'jquery' ), "1.1", true ),
		'intense_flexslider' => array( 'intense_flexslider', $asset_path . '/js/flexslider/jquery.flexslider-min.js', array( 'jquery' ), "2.5.0", true ),
		'intense_modernizr' => array( 'intense_modernizr', $asset_path . '/js/modernizr.' . $minified . 'js', array( 'jquery' ), "2.6.2", false ),
		'intense_text_rotator' => array( 'intense_text_rotator', $asset_path . '/js/simple-text-rotator/jquery.simple-text-rotator.js', array( 'jquery' ), "v1", true ),
		'intense_video_js' => array( 'intense_video_js', $asset_path . '/js/video-js/video.js', array( 'jquery' ), "v4.8.1", true ),
		'jquery.appear' => array( 'jquery.appear', $asset_path . '/js/jquery-appear/jquery.appear.' . $minified . 'js', array( 'jquery' ), "1.0", true ),
		'jquery.event.move' => array( 'jquery.event.move', $asset_path . '/js/twentytwenty/js/jquery.event.move.js', array( 'jquery' ), "1.3.6", true ),
		'jquery.jplayer' => array( 'jquery.jplayer', $asset_path . '/js/jquery.jplayer/jquery.jplayer.min.js', array( 'jquery' ), "2.6.0", true ),
		'jquery.parallax' => array( 'jquery.parallax', $asset_path . '/js/parallax-master/source/jquery.parallax.js', array( 'jquery' ), "1.0", true ),
		'jquery.scrollspy' => array( 'jquery.scrollspy', $asset_path . '/js/jquery-scrollspy/jquery-scrollspy.' . $minified . 'js', "4596f6d0e2", true ),
		'klass.' => array( 'klass.', $asset_path . '/js/PhotoSwipe/lib/klass.min.js', array( 'jquery' ), "1.0", true ),
		'lazyloadxt' => array( 'lazyloadxt', $asset_path . '/js/lazyloadxt/dist/jquery.lazyloadxt.' . $minified . 'js', array( 'jquery' ), "1.0.5", true ),
		'lazyloadxt.extra' => array( 'lazyloadxt.extra', $asset_path . '/js/lazyloadxt/dist/jquery.lazyloadxt.extra.' . $minified . 'js', array( 'jquery' ), "1.0.5", true ),
		'lazyloadxt.bg' => array( 'lazyloadxt.bg', $asset_path . '/js/lazyloadxt/dist/jquery.lazyloadxt.bg.' . $minified . 'js', array( 'jquery' ), "1.0.5", true ),
		'lazyloadxt.autoload' => array( 'lazyloadxt.autoload', $asset_path . '/js/lazyloadxt/dist/jquery.lazyloadxt.autoload.' . $minified . 'js', array( 'jquery' ), "1.0.5", true ),
		'linkedin_share' => array( 'linkedin_share', '//platform.linkedin.com/in.js', null, "1.0", true ),
		'magnific-popup' => array( 'magnific-popup', $asset_path . '/js/magnific-popup/dist/jquery.magnific-popup.' . $minified . 'js', array( 'jquery' ), "v0.9.9", true ),
		'minicolors' => array( 'minicolors', $asset_path . '/js/jquery-minicolors/jquery.minicolors.' . $minified . 'js', array( 'jquery' ), "2.1.12", true ),
		'mixitup' => array( 'mixitup', $asset_path . '/js/mixitup/jquery.mixitup.min.js', array( 'jquery' ), "1.5.6", true ),
		'okvideo' => array( 'okvideo', $asset_path . '/js/okvideo/src/okvideo.' . $minified . 'js', array( 'jquery' ), "2.3.2", true ),
		'owlcarousel' => array( 'owlcarousel', $asset_path . '/js/OwlCarousel/owl-carousel/owl.carousel.' . $minified . 'js', array( 'jquery' ), "1.3.2", true ),
		'packery' => array( 'packery', $asset_path . '/js/packery/index.js', array( 'jquery' ), "v1.2.2", true ),
		'photoswipe' => array( 'photoswipe', $asset_path . '/js/PhotoSwipe/code.photoswipe.jquery-3.0.5.' . $minified . 'js', array( 'jquery' ), "3.0.3", true ),
		'picstrips' => array( 'picstrips', $asset_path . '/js/picstrips/picstrips-2.0.' . $minified . 'js', array( 'jquery' ), "2.0", true ),
		'pinterest_share' => array( 'pinterest_share', '//assets.pinterest.com/js/pinit.js', null, "1.0", true ),
		'prettyphoto' => array( 'prettyphoto', $asset_path . '/js/jquery-prettyPhoto/js/jquery.prettyPhoto.' . $minified . 'js', array( 'jquery' ), "3.1.6", true ),
		'qtip2' => array( 'qtip2', $asset_path . '/js/qtip2/jquery.qtip.' . $minified . 'js', array( 'jquery' ), "v2.2.0", true ),
		'selectize' => array( 'selectize', $asset_path . '/js/selectize/dist/js/standalone/selectize.' . $minified . 'js', array( 'jquery' ), "v0.9.1" ),
		'skrollr' => array( 'skrollr', $asset_path . '/js/skrollr/' . $src_path . '/skrollr.' . $minified . 'js', "0.6.30", true ),
		'slicknav' => array( 'slicknav', $asset_path . '/js/slicknav/dist/jquery.slicknav.' . $minified . 'js', "1.0.4", true ),
		'smooth-scroll' => array( 'smooth-scroll', $asset_path . '/js/jquery.smooth-scroll/jquery.smooth-scroll.' . $minified . 'js', "v1.4.13", true ),
		'stumbleupon_share' => array( 'stumbleupon_share', $asset_path . '/js/intense/intense.social.stumbleupon.' . $minified . 'js', null, "1.0", true ),
		'styledmarker' => array( 'styledmarker', $asset_path . '/js/StyledMarker/index.' . $minified . 'js', null, "0.5", true ),
		'superfish' => array( 'superfish', $asset_path . '/js/superfish/dist/js/superfish.' . $minified . 'js', array( 'jquery', 'hoverintent' ), "1.7.5", true ),
		'supersized_js' => array( 'supersized_js', $asset_path. '/js/supersized/slideshow/js/supersized.3.2.7.' . $minified . 'js', array( 'jquery', 'easing' ), "3.2.7", true ),
		'supersized_shutter_js' => array( 'supersized_shutter_js', $asset_path. '/js/supersized-themes/slideshow/supersized.shutter.' . $minified . 'js', array( 'jquery', 'supersized_js' ), "3.2.7", true ),
		'swipebox' => array( 'swipebox', $asset_path . '/js/swipebox/src/js/jquery.swipebox.' . $minified . 'js', array( 'jquery' ), "1.4.1", true ),
		'touchtouch' => array( 'touchtouch', $asset_path . '/js/TouchTouch/assets/touchTouch/touchTouch.jquery.' . $minified . 'js', array( 'jquery' ), "1.0", true ),
		'tumblr_share' => array( 'tumblr_share', '//platform.tumblr.com/v1/share.js', null, "1.0", true ),
		'twentytwenty' => array( 'twentytwenty', $asset_path . '/js/twentytwenty/js/jquery.twentytwenty.js', array( 'jquery', 'jquery.event.move' ), "20140519", true ),
		'twitter_share' => array( 'twitter_share', $asset_path . '/js/intense/intense.social.twitter.' . $minified . 'js', null, "1.0", true ),
		'typewatch' => array( 'typewatch', $asset_path . '/js/TypeWatch/jquery.typewatch.js', array( 'jquery' ), "2.2.1", true ),
		'videoBG' => array( 'videoBG', $asset_path . '/js/jquery.videoBG/jquery.videoBG.' . $minified . 'js', "0.2.1", true ),		
	),
	'localize' => array(
		'intense.shortcodes' => array( 'intense.shortcodes', 'intense_vars', array( 
            'plugin_url' => INTENSE_PLUGIN_URL
        ) ),
	)
);