/*!
 * Tabs Initializer
 * Copyright (c) 2015 Intense Visions, Inc.
 */
/* global jQuery, intenseModernizr */
var Tabs={tabsWrapClass:".effeckt-tabs-wrap",tabsClass:".effeckt-tabs a.effeckt-tab",tabContentClass:".effeckt-tab-content",isTouchDevice:intenseModernizr.touch,supportsOpacity:intenseModernizr.opacity,init:function(){this.initComponent(),this.bindUIActions(),// cludge to make sure the tab is resized if its contents get bigger/smaller
setInterval(function(){Tabs.resizeTabs()},250)},initComponent:function(){//keep a reference to this (Tabs) object.
var a=this,b=jQuery;b(this.tabsWrapClass).each(function(){var c=b(this),d=c.data("effeckt-type"),e=c.find(a.tabContentClass),f=e.filter(".active"),g=c.find(a.tabsClass);(!f||f.length<=0)&&(f=e.first(),g.first().addClass("active"),g.first().parent().addClass("active")),e.not(f).addClass("effeckt-hide"),f.addClass("effeckt-show").removeClass("effeckt-hide"),f.parent().css("background-color",f.css("background-color")),e.css("visibility","visible"),e.parent().height(f.height()),c.removeClass("preload"),a.supportsOpacity||e.not(f).hide()})},bindUIActions:function(){//keep a reference to this (Tabs) object.
var a=jQuery,b=this;//Add events to tab
a(this.tabsClass).each(function(){var c=a(this).data("trigger"),d=this.isTouchDevice?"touchstart click":c,e=a(this),f=e.parents(".effeckt-tabs-wrap");"mouseenter"===d&&(a(this).css("cursor","pointer"),a(this).on("click",function(a){a.preventDefault()})),a(this).on(d,function(a){a.preventDefault(),b.showTab(this)})}),//Add autoplay events
a(this.tabsWrapClass+":not(.tabs-bare) > .effeckt-tabs-container").each(function(){var c=b.isTouchDevice?"touchstart mouseenter":"mouseenter",d,e=a(this).parent().find(b.tabsClass),f=e.parents(".effeckt-tabs-wrap"),g=f.data("autoplay"),h=f.data("speed");g="undefined"==typeof g?!1:"1"==g&&!b.isTouchDevice,"undefined"==typeof h&&(h=5e3),"undefined"==typeof delay&&(delay=0),//if (startevt == 'mouseenter') {
d="mouseleave",//}
g&&(b.autoplayTabs(e),f.on(c,function(a){a.preventDefault(),g&&(clearInterval(f.data("interval")),clearTimeout(f.data("timeout")))}),f.on(d,function(a){a.preventDefault(),g&&f.data("timeout",setTimeout(function(){b.autoplayTabs(e)},h))}))}),//Add bare tab events
a(this.tabsWrapClass+".tabs-bare > .effeckt-tabs-container").each(function(){var c=b.isTouchDevice?"touchstart mouseenter":"mouseenter",d,e=a(this).parent().find(b.tabsClass),f=e.parents(".effeckt-tabs-wrap"),g=f.data("autoplay"),h=f.data("speed"),i=f.data("delay");"undefined"==typeof h&&(h=5e3),"undefined"==typeof i&&(i=0),g="undefined"==typeof g?!1:"1"==g&&!b.isTouchDevice,//if (startevt == 'mouseenter') {
d="mouseleave",//}
g&&b.autoplayTabs(e),a(this).on(c,function(a){a.preventDefault(),g?(clearInterval(f.data("interval")),clearTimeout(f.data("timeout"))):b.autoplayTabs(e)}),a(this).on(d,function(a){if(a.preventDefault(),g)f.data("timeout",setTimeout(function(){b.autoplayTabs(e)},h));else{var c=f.data("reset");"1"==c&&b.showFirstTab(f),clearInterval(f.data("interval"))}})})},autoplayTabs:function(a){var b=this,c=a.parents(".effeckt-tabs-wrap"),d=c.data("speed"),e=c.data("delay");"undefined"==typeof d&&(d=5e3),"undefined"==typeof e&&(e=0),setTimeout(function(){b.showNextTab(c)},e),a.length>1&&!b.isTouchDevice&&c.data("interval",setInterval(function(){b.showNextTab(c)},d+e))},resizeTabs:function(){//keep a reference to this (Tabs) object.
var a=this,b=jQuery;b(this.tabsWrapClass).each(function(){var c=b(this),d=c.find(a.tabContentClass),e=d.filter(".effeckt-show");e.height()!=d.parent().height()&&d.parent().height(e.height())})},showTab:function(a,b,c){var d=jQuery,e=d(a),f=e.parents(this.tabsWrapClass),g=f.find(this.tabsClass),h=f.find(this.tabContentClass),i=f.data("effeckt-type"),j=e.attr("href"),k=h.filter(j);"undefined"!=typeof j&&"#"==j[0]&&k.length>0&&(//set active to this current clicked tab
g.removeClass("active"),g.parent().removeClass("active"),e.parent().addClass("active"),e.addClass("active"),h.filter(".effeckt-show").removeClass("effeckt-show").removeClass("active").addClass("effeckt-hide"),k.addClass("effeckt-show").removeClass("effeckt-hide"),k.parent().css("background-color",k.css("background-color")),this.supportsOpacity||(h.hide(),k.show()),//add parent height, just because of position: absolute;
h.parent().height(k.height()),b&&(c||(c=0),jQuery("html, body").stop().animate({scrollTop:e.offset().top+c},1e3)))},showNextTab:function(a){var b=jQuery,c=a.find(this.tabsClass),d=a.find(this.tabsClass+".active"),e=a.data("loop");d.parent().next().find("a[href^=#]").length>0?this.showTab(d.parent().next().find("a[href^=#]")):("0"!=e||this.isTouchDevice)&&this.showFirstTab(a)},showFirstTab:function(a){var b=jQuery,c=a.find(this.tabsClass),d=a.find(this.tabsClass).first();this.showTab(d)}};jQuery(window).load(function(){if(Tabs.init(),window.location.hash){var a=window.location.hash.replace("-","_");Tabs.showTab("[href="+a+"]")}jQuery('a[href^="#"]').click(function(){var a=jQuery(this).attr("href").replace("-","_");Tabs.showTab("[href="+a+"]")})});