/**
 * FastClick event implementation. (removes 300ms delay on touch devices)
 * Based on https://developers.google.com/mobile/articles/fast_buttons
 *
 * You may use it outside the Magnific Popup by calling just:
 *
 * $('.your-el').mfpFastClick(function() {
 *     console.log('Clicked!');
 * });
 *
 * To unbind:
 * $('.your-el').destroyMfpFastClick();
 * 
 * 
 * Note that it's a very basic and simple implementation, it blocks ghost click on the same element where it was bound.
 * If you need something more advanced, use plugin by FT Labs https://github.com/ftlabs/fastclick
 * 
 */
!function(){var a=1e3,b="ontouchstart"in window,c=function(){_window.off("touchmove"+e+" touchend"+e)},d="mfpFastClick",e="."+d;// As Zepto.js doesn't have an easy way to add custom events (like jQuery), so we implement it in this way
$.fn.mfpFastClick=function(d){return $(this).each(function(){var f=$(this),g;if(b){var h,i,j,k,l,m;f.on("touchstart"+e,function(b){k=!1,m=1,l=b.originalEvent?b.originalEvent.touches[0]:b.touches[0],i=l.clientX,j=l.clientY,_window.on("touchmove"+e,function(a){l=a.originalEvent?a.originalEvent.touches:a.touches,m=l.length,l=l[0],(Math.abs(l.clientX-i)>10||Math.abs(l.clientY-j)>10)&&(k=!0,c())}).on("touchend"+e,function(b){c(),k||m>1||(g=!0,b.preventDefault(),clearTimeout(h),h=setTimeout(function(){g=!1},a),d())})})}f.on("click"+e,function(){g||d()})})},$.fn.destroyMfpFastClick=function(){$(this).off("touchstart"+e+" click"+e),b&&_window.off("touchmove"+e+" touchend"+e)}}();