/*!
 * Picstrips Plugin
 *
 * picstrips originally by Steve Claridge (http://www.moreofless.co.uk)
 * heavily modified by Intense Visions, Inc. (http://www.intensevisions.com)
 * Modifications include:
 *  - allow for browser resize
 *  - fixed bars to correctly show scaled background image at height of bar
 *  - fixed bars to correctly show sections of image taking into account hgutter
 *  - standardized javascript formatting
 *
 * Copyright (c) 2014 Intense Visions, Inc.
 * Version: 1.0 (7-JUN-2013)
 * Dual licensed under the MIT and GPL licenses.
 */(function(e){e.fn.picstrips=function(t){var n=e.extend({splits:8,hgutter:"10px",vgutter:"60px",bgcolor:"#fff"},t);return this.each(function(){function r(){var n=i(t,null);e(window).resize(function(){e(t).show();n=i(t,n)})}function i(t,r){var i=e(t).height(),s=e(t).width(),o=parseInt(n.hgutter,10),u=(s-o*n.splits)/n.splits,a="position: relative; float:left; margin-right: "+n.hgutter+"; background-image: url("+t.src+"); width: "+u+"px; height: "+i+"px; background-size: auto "+i+"px; ",f="position: absolute; left: 0px; width: "+u+"px; height: "+n.vgutter+"; background-color: "+n.bgcolor+"; top: ",l="position: relative; float:left; background-image: url("+t.src+"); width: "+u+"px; height: "+i+"px; background-size: auto "+i+"px; ";r&&r.remove();var c=e("[id^=molbars_]").length+1;r=e('<div id="molbars_'+c+'"></div>');r.insertAfter(e(t));var h=0;for(var p=0;p<n.splits;p++){var d=p%2!==0?"0px":i-parseInt(n.vgutter,10)+"px";a+=" background-position: -"+h+"px 100%;";l+=" background-position: -"+h+"px 100%;";p===n.splits-1?e('<div style="'+l+'"><span style="'+f+d+'"></span></div>').appendTo(r):e('<div style="'+a+'"><span style="'+f+d+'"></span></div>').appendTo(r);h+=u+o}e(t).hide();return r}var t=this;if(!this.complete||this.width+this.height===0){var s=new Image;s.src=this.src;e(s).load(function(){r()})}else r()})}})(jQuery);