<?php

$this->sections['Featured'] = array(
	'title' => __( 'Featured', 'intense' ),
	'icon' => 'el-icon-star',
	'icon_class' => 'icon-large',
	'fields' => array(
		array(
			'id'=>'intense_featured_image_type',
			'type' => 'select',
			'title' => __( 'Featured Image Default Type', 'intense' ),
			'options' => array(
				'standard' => 'Standard',
				'picstrip' => 'Picstrip',
				'caman' => 'Caman',
				'adipoli' => 'Adipoli',
			),
			'default' => 'standard',
		),
		array(
			'id'=>'intense_featured_video_type',
			'type' => 'select',
			'title' => __( 'Featured Video Default Type', 'intense' ),
			'options' => array(
				'' => '',
				'wordpress' => __( 'WordPress', 'intense' ),
				'bliptv' => __( 'Blip.tv', 'intense' ),
				'collegehumor' => __( 'College Humor', 'intense' ),
				'flickr' => __( 'Flickr', 'intense' ),
				'funnyordie' => __( 'FunnyOrDie.com', 'intense' ),
				'hulu' => __( 'Hulu', 'intense' ),
				'qik' => __( 'Qik', 'intense' ),
				'revision3' => __( 'Revision3', 'intense' ),
				'screenr' => __( 'Screenr', 'intense' ),
				'ted' => __( 'Ted', 'intense' ),
				'viddler' => __( 'Viddler', 'intense' ),
				'vimeo' => __( 'Vimeo', 'intense' ),
				'wordpresstv' => __( 'WordPress.tv', 'intense' ),
				'youtube' => __( 'YouTube', 'intense' ),
			),
			'default' => '',
		),	
	)
);
