<?php

$this->sections['Icons'] = array(
	'title' => __( 'Icons', 'intense' ),
	'desc' => __( '<p class="description">Choose icons that are used throughout Intense Visions plugins and themes.</p>', 'intense' ),
	'icon' => 'el-icon-star-alt',
	'icon_class' => 'icon-large',	
	'fields' => array(
		array(
			"title"   => __( "Quote Left", "intense" ),			
			"id"   => "intense_quote_left_icon",			
			"type"   => "intense_icon",
			"default" => array(
				'source' => 'font-awesome',
				'type' => 'quote-left'
			)		
		),
		array(
			"title"   => __( "Quote Right", "intense" ),			
			"id"   => "intense_quote_right_icon",			
			"type"   => "intense_icon",
			"default" => array(
				'source' => 'font-awesome',
				'type' => 'quote-right'
			)
		),
		array(
			"title"   => __( "Play", "intense" ),			
			"id"   => "intense_play_icon",			
			"type"   => "intense_icon",
			"default" => array(
				'source' => 'font-awesome',
				'type' => 'play'
			)
		),
		array(
			"title"   => __( "Pause", "intense" ),			
			"id"   => "intense_pause_icon",			
			"type"   => "intense_icon",
			"default" => array(
				'source' => 'font-awesome',
				'type' => 'pause'
			)
		),
		array(
			"title"   => __( "Date", "intense" ),			
			"id"   => "intense_date_icon",			
			"type"   => "intense_icon",
			"default" => array(
				'source' => 'font-awesome',
				'type' => 'calendar'
			)
		),
		array(
			"title"   => __( "Category", "intense" ),			
			"id"   => "intense_category_icon",			
			"type"   => "intense_icon",
			"default" => array(
				'source' => 'font-awesome',
				'type' => 'book'
			)
		),
		array(
			"title"   => __( "Tag", "intense" ),			
			"id"   => "intense_tag_icon",			
			"type"   => "intense_icon",
			"default" => array(
				'source' => 'font-awesome',
				'type' => 'tag'
			)
		),
		array(
			"title"   => __( "Comment", "intense" ),			
			"id"   => "intense_comment_icon",			
			"type"   => "intense_icon",
			"default" => array(
				'source' => 'font-awesome',
				'type' => 'comments'
			)
		),
		array(
			"title"   => __( "User", "intense" ),			
			"id"   => "intense_user_icon",			
			"type"   => "intense_icon",
			"default" => array(
				'source' => 'font-awesome',
				'type' => 'user'
			)
		),
		array(
			"title"   => __( "Photo", "intense" ),			
			"id"   => "intense_photo_icon",			
			"type"   => "intense_icon",
			"default" => array(
				'source' => 'font-awesome',
				'type' => 'picture'
			)
		),
		array(
			"title"   => __( "Previous", "intense" ),			
			"id"   => "intense_previous_icon",			
			"type"   => "intense_icon",
			"default" => array(
				'source' => 'font-awesome',
				'type' => 'angle-left'
			)
		),
		array(
			"title"   => __( "Next", "intense" ),			
			"id"   => "intense_next_icon",			
			"type"   => "intense_icon",
			"default" => array(
				'source' => 'font-awesome',
				'type' => 'angle-right'
			)
		),
		array(
			"title"   => __( "Expand Up", "intense" ),			
			"id"   => "intense_expand_icon",			
			"type"   => "intense_icon",
			"default" => array(
				'source' => 'font-awesome',
				'type' => 'angle-up'
			)
		),
		array(
			"title"   => __( "Collapse Down", "intense" ),			
			"id"   => "intense_collapse_icon",			
			"type"   => "intense_icon",
			"default" => array(
				'source' => 'font-awesome',
				'type' => 'angle-down'
			)
		),		
		array(
			"title"   => __( "Fullscreen", "intense" ),			
			"id"   => "intense_fullscreen_icon",			
			"type"   => "intense_icon",
			"default" => array(
				'source' => 'foundation',
				'type' => 'fi-arrows-out'
			)
		),	
	)
);
