    <div id="intense-shortcode-selector-wrapper" style="display: none;">
            <div id="intense-shortcode-selector" class="mfp-hide"><button title="Close (Esc)" type="button" class="mfp-close">&times;</button>
                <div class="intense-shortcode-selector-title">
                    <img src="<?php echo INTENSE_PLUGIN_URL; ?>/assets/img/icon_32x32.png"> <?php echo __( 'Intense Shortcodes', 'intense' ); ?>
                    <div class="pull-right" style="margin-top: -5px"><div class="intense-shortcode-filter"><i class="dashicons dashicons-search"></i> <input type="text" placeholder="<?php _e( 'Search' ); ?>..." /></div>
                    <div class="intense-shortcode-skin">
                        <?php _e( 'Skin', 'intense' ); ?> <select id="intense-active-skin">
                        <?php
        global $intense_visions_options;

        $skins = Intense_Skins::get_overridden_list();
        $default_skin = isset( $intense_visions_options['intense_skin'] ) ? $intense_visions_options['intense_skin'] : 'default';

        foreach ( $skins as $key => $skin ) {
            echo '<option value="' . $skin->key . '" ' . ( $skin->key == $default_skin ? 'selected="selected"' : '' ) . '>' . $skin->name . '</option>';
        }
?>
                        </select>
                    </div></div>
                </div>
                <div class="intense-shortcodes-back" style="display:none;">
                    <?php echo __( 'Show all shortcodes', 'intense' ); ?>
                </div>
                 <div class="intense-shortcodes-help" style="display:none;">
                    <?php echo __( 'Help', 'intense' ); ?>
                </div>
                <div class="intense-shortcodes">
                    <?php
        $shortcode_list = '';
        $category = '';

        $shortcodes =  Intense_Shortcodes::get_list();

        uasort( $shortcodes, array( "Intense_Shortcodes", "shortcode_compare" ) );        

        $columns = 6;
        $column_width = 100 / $columns;
    	$per_column = ceil( count( $shortcodes ) / $columns );
    	$items = 0;

        echo '<ul class="intense shortcode-list" style="width: ' . $column_width . '%">';

        foreach ( $shortcodes as $key => $class_name ) {
            $shortcode = new $class_name;

    	    if ( $items > 0 && $items % $per_column == 0 ) {
        		$shortcode_list .= '</ul>';
                $shortcode_list .= '<ul class="intense shortcode-list" style="width: ' . $column_width . '%">';
    	    }

    	    $items++;            

            $shortcode_list .= '<li class="' . $shortcode->category . '" data-url="action=intense_shortcode_dialog_action&shortcode="' . $key . '" data-name="' . $shortcode->title . '" data-shortcode="' . $key . '">';
            $shortcode_list .= '<span style="padding-right: 5px; fill: #444;">' . $shortcode->get_icon( 14, 14 ) . '</span>';
            $shortcode_list .= $shortcode->title . "</li>";         
        }

        $shortcode_list .= '</ul>';

        echo $shortcode_list;
?>
                    <div style="clear: both;"></div>
                </div>
                <div class="intense-shortcode-input" style="display:none;"></div>
            </div>
        </div>
        <div id="intense-snippet-selector-wrapper" style="display: none;">
            <div id="intense-snippet-selector" class="mfp-hide"><button title="Close (Esc)" type="button" class="mfp-close">&times;</button>
                <div class="intense-snippet-selector-title">
                    <img src="<?php echo INTENSE_PLUGIN_URL; ?>/assets/img/icon_32x32.png"> <?php echo __( 'Intense Snippets', 'intense' ); ?>
                </div>
                <div class="intense-snippets">
                    <div class="intense-snippet-title"><i class="dashicons dashicons-intense-scissors" style="font-size:22px; padding-right: 15px; margin-top:-3px;"></i> <?php echo __( 'Insert editable snippet content directly into the page or post content', 'intense' ); ?></div>
                    <form id="snippet-form" name="snippet-form" action="#" class="intense form-horizontal" role="form">
                        <?php
        $ajax_nonce = wp_create_nonce( "intense-plugin-noonce" );
        echo '<input type="hidden" id="nonce" value="' . $ajax_nonce . '" />';
?>
                        <div class="intense form-group  selectize animation">
                            <label class="intense col-sm-2 control-label" for="snippet-selection" data-placeholder="<?php echo __( 'Snippet', 'intense' ); ?>"><?php echo __( 'Snippet', 'intense' ); ?></label>
                            <div class="intense col-sm-8">
                                <select id="snippet-selection" style="background: transparent; border: 0; border-radius: 0; height: 36px; -webkit-appearance: none; box-shadow: none;">
                                    <option><?php echo __( 'Loading...', 'intense' ); ?></option>
                                </select>
                            </div>
                        </div>
                        <div class="intense form-group  selectize animation">
                            <label class="intense col-sm-2 control-label" for="snippet-content" data-placeholder="<?php echo __( 'Content', 'intense' ); ?>"><?php echo __( 'Content', 'intense' ); ?></label>
                            <div class="intense col-sm-8">
                                <textarea id="snippet-content" disabled="disabled"></textarea>
                                <span class="intense help-block"><?php echo __( 'Select the snippet, make changes to the content, then press the insert button. If you prefer not to change the content, you can also add snippets using the [intense_snippet] shortcode.', 'intense' ); ?></span>
                            </div>
                        </div>
                        <div class="form-actions">
                            <div class="pull-left">
                                <input type="button" class="button button-primary button-large" id="insert-snippet" value="<?php _e( "Insert Snippet", 'intense' ); ?>"/>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                    </form>
                </div>
            </div>
        </div>