<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Color', 'intense' ),
		'default' => 'muted'
	),
	'font_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Font Color', 'intense' ),
		'description' => __( 'if left blank, either black or white will automatically be chosen', 'intense' ),
	),
	'border_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Border Color', 'intense' ),
	),
	'border_radius' => array(
		'type' => 'border_radius',
		'title' => __( 'Border Radius', 'intense' ),
	),
	'author' => array(
		'type' => 'text',
		'title' => __( 'Author', 'intense' ),
		'description' => __( 'optional - add to the content of the shortcode to manually format the layout', 'intense' ),
		'skinnable' => false
	),
	'author_link' => array(
		'type' => 'text',
		'title' => __( 'Author Link', 'intense' ),
		'description' => __( 'URL, post ID, or page ID to direct the user to when clicked', 'intense' ),
		'skinnable' => false
	),
	'width' => array(
		'type' => 'text',
		'title' => __( 'Width', 'intense' ),
		'description' => __( '%, em, px - examples: 25% or 10em or 20px. If set, the blockquote will float to the right or left and will act like a pull-quote', 'intense' ),
	),
	'rightalign' => array(
		'type' => 'checkbox',
		'title' => __( 'Right Align', 'intense' ),
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
);
