<?php

global $intense_visions_options;

$this->fields = array(
	'title' => array(
		'type' => 'text',
		'title' => __( 'Title', 'intense' ),
		'skinnable' => false
	),
	'active' => array(
		'type' => 'checkbox',
		'title' => __( 'Active', 'intense' ),
		'description' => __( 'open collapse when the page loads', 'intense' ),
		'default' => 0,
		'skinnable' => false
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
	'external_link' => array(
		'type' => 'text',
		'title' => __( 'Link', 'intense' ),
		'description' => __( 'link to external page instead of expand. URL, post ID, or page ID to direct the user to when clicked', 'intense' ),
		'skinnable' => false
	),
	'external_link_target' => array(
		'type' => 'link_target',
		'title' => __( 'Link Target', 'intense' ),
	),
	'external_link_rel' => array(
		'type' => 'rel',
		'title' => __( 'Link Rel', 'intense' ),
	),
	'title_background_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Title Background Color', 'intense' ),
		'default' => '#ffffff'
	),
	'content_background_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Content Background Color', 'intense' ),
		'default' => '#ffffff'
	),
	'icon_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Icon Color', 'intense' ),
		'description' => __( 'leave blank to use title font color', 'intense' ),		
	),
	'title_font_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Title Font Color', 'intense' ),
		'description' => __( 'if left blank, either black or white will automatically be chosen', 'intense' ),
	),
	'content_font_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Content Font Color', 'intense' ),
		'description' => __( 'if left blank, either black or white will automatically be chosen', 'intense' ),
	),
);
