<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'skinnable' => false
	),
	'single_toggle' => array(
		'type' => 'checkbox',
		'title' => __( 'Single Toggle', 'intense' ),
		'description' => __( 'show only one at a time', 'intense' ),
	),
	'title_border' => array(
		'type' => 'border',
		'title' => __( 'Title Border', 'intense' ),
	),
	'content_border' => array(
		'type' => 'border',
		'title' => __( 'Content Border', 'intense' ),
	),
	'expand_icon_source' => array(
		'type' => 'icon_source',
		'title' => __( 'Expand Icon Source', 'intense' ),
		'default' => 'font-awesome',
	),
	'expand_icon' => array(
		'type' => 'icon',
		'title' => __( 'Expand Icon', 'intense' ),
		'default' => 'plus-sign-alt',
	),
	'collapse_icon_source' => array(
		'type' => 'icon_source',
		'title' => __( 'Collapse Icon Source', 'intense' ),
		'default' => 'font-awesome',
	),
	'collapse_icon' => array(
		'type' => 'icon',
		'title' => __( 'Collapse Icon', 'intense' ),
		'default' => 'minus-sign-alt',
	),
	'icon_size' => array(
		'type' => 'dropdown',
		'title' => __( 'Icon Size', 'intense' ),
		'default' => '2',
		'options' => array(
			'1' => '1',
			'2' => '2',
			'3' => '3',
			'4' => '4',
			'5' => '5'
		)
	),	
	'collapse' => array(
		'type' => 'repeater',
		'title' => __( 'Sections', 'intense' ),
		'preview_content' => __( 'Collapse Content', 'intense' ),
		'fields' => array(
			'title' => array(
				'type' => 'text',
				'title' => __( 'Title', 'intense' ),
				'skinnable' => false
			),
			'active' => array(
				'type' => 'checkbox',
				'title' => __( 'Active', 'intense' ),
				'description' => __( 'open collapse when the page loads', 'intense' ),
				'skinnable' => false
			),
			'class' => array(
				'type' => 'text',
				'title' => __( 'CSS Class', 'intense' ),
			),
			'external_link' => array(
				'type' => 'text',
				'title' => __( 'Link', 'intense' ),
				'description' => __( 'link to external page instead of expand. URL, post ID, or page ID to direct the user to when clicked', 'intense' ),
				'skinnable' => false
			),
			'external_link_target' => array(
				'type' => 'link_target',
				'title' => __( 'Link Target', 'intense' ),
			),
			'external_link_rel' => array(
				'type' => 'rel',
				'title' => __( 'Link Rel', 'intense' ),
			),
			'title_background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Title Background Color', 'intense' ),
				'default' => '#ffffff'
			),
			'content_background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Content Background Color', 'intense' ),
				'default' => '#ffffff'
			),
			'icon_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Icon Color', 'intense' ),
				'description' => __( 'leave blank to use title font color', 'intense' ),		
			),
			'title_font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Title Font Color', 'intense' ),
				'description' => __( 'if left blank, either black or white will automatically be chosen', 'intense' ),
			),
			'content_font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Content Font Color', 'intense' ),
				'description' => __( 'if left blank, either black or white will automatically be chosen', 'intense' ),
			),
		)
	),
);
