<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'font_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Font Color', 'intense' ),
	),
	'background_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Background Color', 'intense' ),
	),
	'border_radius' => array(
		'type' => 'border_radius',
		'title' => __( 'Border Radius', 'intense' ),
	),
	'start' => array(
		'type' => 'text',
		'title' => __( 'Start Value', 'intense' ),
		'default' => 1,
		'composer_show_value' => true
	),
	'end' => array(
		'type' => 'text',
		'title' => __( 'End Value', 'intense' ),
		'description' => __( 'For counting down, make <strong>end</strong> be lower than <strong>start</strong>.', 'intense' ),
		'default' => 100,
		'composer_show_value' => true
	),
	'text' => array(
		'type' => 'text',
		'title' => __( 'HTML Text', 'intense' ),
		'description' => __( 'HTML text should include {0} which will be substituted with value.', 'intense' ),
		'default' => '{0}',
		'composer_show_value' => true
	),
	'speed' => array(
		'type' => 'text',
		'title' => __( 'Speed', 'intense' ),
		'description' => __( 'Number of milliseconds between counter ticks.', 'intense' ),
		'default' => 45
	),
	'thousands_separator' => array(
		'type' => 'text',
		'title' => __( 'Thousands Separator', 'intense' ),
		'default' => ','
	),
	'decimal_point' => array(
		'type' => 'text',
		'title' => __( 'Decimal Point', 'intense' ),
		'default' => '.'
	),
	'decimal_places' => array(
		'type' => 'text',
		'title' => __( 'Decimal Places', 'intense' ),
		'description' => __( 'The number of decimal places to show. If not 0, then the increment value will be relative to the number of decimal places (ex. decimal places = 2, increment = 1, counter will increment .01 each time)', 'intense' ),
		'default' => 0
	),
	'increment' => array(
		'type' => 'text',
		'title' => __( 'Increment Amount', 'intense' ),
		'description' => __( 'Should always be a positive whole number. It also is relative to the number of decimal places.', 'intense' ),
		'default' => 1
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
);
