<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),	
	'device_mockup' => array(
		'type' => 'repeater',
		'title' => __( 'Devices', 'intense' ),
		'description' => __( 'up to three devices are supported. The <a href="https://wordpress.org/plugins/device-mockups/">Device Mockups plugin</a> needs to be installed for these shortcodes to work.', 'intense' ),
		'fields' => array(
			'type' => array(
				'type' => 'dropdown',
				'title' => __( 'Type', 'intense' ),
				'options' => array(
					'' => '',
					'iphone6' => __( 'iPhone 6', 'intense' ), //black, white, gold, portrait, landscape
					'iphone6-plus' => __( 'iPhone 6 Plus', 'intense' ), //black, white, gold, portrait, landscape
					'iphone5s' => __( 'iPhone 5s', 'intense' ), //black, white, gold, portrait, landscape
					'iphone5' => __( 'iPhone 5', 'intense' ), //black, white, portrait, landscape
					'ipad' => __( 'iPad', 'intense' ), //black, white, portrait, landscape
					'macbook' => __( 'Macbook Pro', 'intense' ), //--
					'imac' => __( 'iMac', 'intense' ),  //--
					's3' => __( 'Gallaxy S3', 'intense' ), //portrait, landscape
					'nexus7' => __( 'Nexus 7', 'intense' ), //portrait, landscape
					'surface' => __( 'Surface', 'intense' ), //--
					'lumia920' => __( 'Lumia 920', 'intense' ), //portrait, landscape
					'chrome' => __( 'Chrome', 'intense' ), //--
					'firefox' => __( 'Firefox', 'intense' ), //--
					'safari' => __( 'Safari', 'intense' ), //--
				)
			),
			'position' => array(
				'type' => 'dropdown',
				'title' => __( 'Position', 'intense' ),
				'options' => array(
					'center' => __( 'Center', 'intense' ),
					'left' => __( 'Left', 'intense' ),
					'right' => __( 'Right', 'intense' ),					
				)
			),
			'color' => array(
				'type' => 'dropdown',
				'title' => __( 'Color', 'intense' ),
				'options' => array(					
					'black' => __( 'Black', 'intense' ),
					'white' => __( 'White', 'intense' ),
					'gold' => __( 'Gold', 'intense' ),
				),
				'class' => 'colorsettings'
			),
			'orientation' => array(
				'type' => 'dropdown',
				'title' => __( 'Orientation', 'intense' ),
				'options' => array(		
					'portrait' => __( 'Portrait', 'intense' ),
					'landscape' => __( 'Landscape', 'intense' ),
				),
				'class' => 'orientationsettings'
			),
			'link' => array(
				'type' => 'text',
				'title' => __( 'Link', 'intense' ),
				'description' => __( 'URL, post ID, or page ID to direct the user to when clicked', 'intense' ),
				'skinnable' => false
			),
		)
	),	
);
