<?php

require INTENSE_PLUGIN_FOLDER .  '/shortcodes/tabs/tabs-fields.php';

$this->fields['general_tabs_tab']['fields']['direction']['type'] = 'hidden';
$this->fields['switching_tab']['fields']['trigger']['type'] = 'hidden';
$this->fields['general_tabs_tab']['fields']['active_tab_background_color']['type'] = 'hidden';
$this->fields['general_tabs_tab']['fields']['active_tab_font_color']['type'] = 'hidden';

$this->fields['switching_tab']['fields']['reset'] = array(
	'type' => 'checkbox',
	'title' => __( 'Reset', 'intense' ),
	'description' => __( 'reset when the focus is lost', 'intense' ),
	'default' => true
);

$this->fields['flip_box_item'] = array(
	'type' => 'repeater',
	'title' => __('Items', 'intense'),
	'preview_content' => __( 'Flip Box Content', 'intense' ),
	'fields' => $this->fields['tab']['fields']['content_tab']['fields']
);

// swap out the 'tab' field with the 'flip_box_item' field
$keys = array_keys( $this->fields ); //get all the field keys so we can replace the tab one and keep order
$keys[0] = 'flip_box_item'; //$keys[0] should equal $this->fields['tab'] before making this change

$this->fields = array_combine( $keys, $this->fields );

$this->fields['switching_tab']['fields']['animation']['default'] = 'solid-flip';
