<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'image1' => array(
		'type' => 'image',
		'title' => __( 'Image 1', 'intense' ),
		'skinnable' => false
	),
	'image1_id' => array( 'type' => 'deprecated', 'description' => 'use image1 instead' ),
	'image1_url' => array( 'type' => 'deprecated', 'description' => 'use image1 instead' ),
	'image2' => array(
		'type' => 'image',
		'title' => __( 'Image 2', 'intense' ),
		'skinnable' => false
	),
	'image2_id' => array( 'type' => 'deprecated', 'description' => 'use image2 instead' ),
	'image2_url' => array( 'type' => 'deprecated', 'description' => 'use image2 instead' ),
	'size' => array(
		'type' => 'image_size',
		'title' => __( 'Image Size', 'intense' )
	),
	'slider_offset' => array(
		'type' => 'text',
		'title' => __( 'Slider Offset', 'intense' ),
		'description' => __( '0 - 100: default is 50', 'intense' ),
		'default' => 50
	),
	'show_overlay' => array(
		'type' => 'checkbox',
		'title' => __( 'Show Overlay', 'intense' ),
		'default' => 1,
	),
	'show_handle' => array(
		'type' => 'checkbox',
		'title' => __( 'Show Handle', 'intense' ),
		'default' => 1,
	),
	'follow_mouse' => array(
		'type' => 'checkbox',
		'title' => __( 'Follow Mouse', 'intense' ),
		'default' => 0,
	),
	'before_text' => array(
		'type' => 'text',
		'title' => __( 'Before Text', 'intense' ),
	),
	'after_text' => array(
		'type' => 'text',
		'title' => __( 'After Text', 'intense' ),
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
	'shadow' => array(
		'type' => 'shadow',
		'title' => __( 'Shadow', 'intense' ),
	),
	'border_radius' => array(
		'type' => 'border_radius',
		'title' => __( 'Border Radius', 'intense' ),
	),
	'mode' => array(
		'type' => 'dropdown',
		'title' => __( 'Mode', 'intense' ),
		'default' => 'horizontal',
		'options' => array(
			'horizontal' => __( 'Horizontal', 'intense' ),
			'vertical' => __( 'Vertical', 'intense' ),
			'side_by_side' => __( 'Side-by-side', 'intense' ),
			'over_and_under' => __( 'Over-and-under', 'intense' ),
		),
	),
);
