<?php

global $intense_visions_options;

$this->fields = array(
	'type' => array(
		'type' => 'dropdown',
		'title' => __( 'Type', 'intense' ),
		'options' => array(
			'colorbox' => __( 'Colorbox', 'intense' ), //image, iframe, html
			'magnificpopup' => __( 'Magnific Popup', 'intense' ), //image, iframe, html
			'photoswipe' => __( 'PhotoSwipe (image only)', 'intense' ), //image
			'prettyphoto' => __( 'PrettyPhoto', 'intense' ), //image, iframe, html
			'swipebox' => __( 'Swipebox (image only)', 'intense' ), //image
			'thickbox' => __( 'Thickbox (image only)', 'intense' ), //image
			'touchtouch' => __( 'TouchTouch (image only)', 'intense' ), //image
		),
	),
	'content_type' => array(
		'type' => 'dropdown',
		'title' => __( 'Content Type', 'intense' ),
		'options' => array(
			'image' => 'image',
			'html' => 'html',			
			'iframe' => 'iframe'
		),
	),
	'url' => array(
		'type' => 'text',
		'title' => __( 'URL', 'intense' ),
		'description' => __( 'used for the url of the iframe', 'intense' ),
		'class' => 'iframesettings',
		'skinnable' => false
	),
	'html_element' => array(
		'type' => 'text',
		'title' => __( 'HTML Element ID', 'intense' ),
		'description' => __( 'the content of the HTML element will be shown in the lightbox', 'intense' ),
		'class' => 'htmlsettings',
		'skinnable' => false
	),
	'image' => array(
		'type' => 'image',
		'title' => __( 'Image', 'intense' ),
		'description' => __( 'enter a WordPress attachment ID or a URL', 'intense' ),
		'class' => 'imagesettings',
		'skinnable' => false
	),
	'image_size' => array(
		'type' => 'image_size',
		'title' => __( 'Image Size', 'intense' ),
		'default' => 'full',
		'class' => 'imagesettings'
	),
	'title' => array(
		'type' => 'text',
		'title' => __( 'Link Title', 'intense' ),
		'class' => 'imagesettings',
		'skinnable' => false
	),
	'description' => array(
		'type' => 'text',
		'title' => __( 'Link Description', 'intense' ),
		'class' => 'imagesettings',
		'skinnable' => false
	),
	'grouping' => array(
		'type' => 'text',
		'title' => __( 'Lightbox Group', 'intense' ),
		'description' => __( 'optional - allows for lightbox slideshows', 'intense' ),
		'class' => 'imagesettings'
	),
);
