<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional', 'intense' ),
        'skinnable' => false
	),		
	'gutter' => array(
		'type' => 'text',
		'title' => __( 'Gutter', 'intense' ),
		'description' => __( 'measured in px', 'intense' ),
		'default' => 10,				
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
	'masonry_item' => array(
		'type' => 'repeater',
		'title' => __( 'Items', 'intense' ),
		'fields' => array(
			'width' => array(
				'type' => 'text',
				'title' => __( 'Manual Width', 'intense' ),
				'description' => __( 'measured as a % or px amount', 'intense' ),
			),
			'size' => array(
				'type' => 'dropdown',
				'title' => __( 'Size', 'intense' ),
				'composer_show_value' => true,
				'options' => array(
					'' => '',
					'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
					'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
				)
			),
			'medium_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Medium Size', 'intense' ),
				'description' => __( 'used to change the layout when viewed on medium devices - desktops (≥992px)', 'intense' ),
				'composer_show_value' => true,
				'options' => array(
					'' => '',
					'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
					'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
				)
			),
			'small_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Small Size', 'intense' ),
				'description' => __( 'used to change the layout when viewed on small devices - tablets (≥768px)', 'intense' ),
				'composer_show_value' => true,
				'options' => array(
					'' => '',
					'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
					'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
				)
			),
			'extra_small_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Extra Small Size', 'intense' ),
				'description' => __( 'used to change the layout when viewed on extra small devices - phones (<768px)', 'intense' ),
				'composer_show_value' => true,
				'options' => array(
					'' => '',
					'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
					'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
				)
			),
		)
	)
);