<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'font_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Font Color', 'intense' ),
	),
	'location' => array(
		'type' => 'dropdown',
		'title' => __( 'Location', 'intense' ),
		'default' => 'bottom',
		'options' => array(
			'top' => __( 'Top', 'intense' ),
			'right' => __( 'Right', 'intense' ),
			'bottom' => __( 'Bottom', 'intense' ),
			'left' => __( 'Left', 'intense' ),
		)
	),
	'title' => array(
		'type' => 'text',
		'title' => __( 'Title', 'intense' ),
		'composer_show_value' => true,
		'skinnable' => false
	),
	'text' => array(
		'type' => 'text',
		'title' => __( 'Text', 'intense' ),
		'composer_show_value' => true,
		'skinnable' => false
	),
	'link' => array(
		'type' => 'text',
		'title' => __( 'Link', 'intense' ),
		'description' => __( 'URL, post ID, or page ID to direct the user to when clicked', 'intense' ),
		'skinnable' => false
	),
	'link_target' => array(
		'type' => 'link_target',
		'title' => __( 'Target', 'intense' ),
	),
	'link_rel' => array(
		'type' => 'rel',
		'title' => __( 'Rel', 'intense' ),
	),
	'tooltip_title_background_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Popover Title Background Color', 'intense' ),
		'default' => '#111111'
	),
	'tooltip_background_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Popover Background Color', 'intense' ),
		'default' => '#222222'
	),
	'tooltip_font_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Popover Font Color', 'intense' ),
		'default' => 'white'
	),
	'tooltip_border_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Popover Border Color', 'intense' ),
		'default' => '#000000'
	),
	'tooltip_border_radius' => array(
		'type' => 'border_radius',
		'title' => __( 'Popover Border Radius', 'intense' ),
		'default' => '2px'
	),
	'tooltip_opacity' => array(
		'type' => 'text',
		'title' => __( 'Popover Opacity', 'intense' ),
		'description' => __( '0 - 100: default is 20', 'intense' ),
		'default' => 20
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
);
