<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),	
	'colors' => array( 'type' => 'deprecated', 'description' => 'use intense_progress_segment shortcode instead' ),
	'values' => array( 'type' => 'deprecated', 'description' => 'use intense_progress_segment shortcode instead' ),
	'texts' => array( 'type' => 'deprecated', 'description' => 'use intense_progress_segment shortcode instead' ),
	'animation' => array(
		'type' => 'checkbox',
		'title' => __( 'Animated', 'intense' ),
	),
	'animation_speed' => array(
		'type' => 'text',
		'title' => __( 'Animation Tick Speed', 'intense' ),
		'description' => __( 'amount in milliseconds', 'intense' ),
		'default' => "35"
	),
	'animate_text' => array( 'type' => 'deprecated', 'description' => 'use intense_progress_segment shortcode instead' ),
	'gradient' => array(
		'type' => 'checkbox',
		'title' => __( 'Gradient', 'intense' ),
	),
	'size' => array(
		'type' => 'dropdown',
		'title' => __( 'Size', 'intense' ),
		'default' => 'medium',
		'options' => array(
			'mini' => __( 'mini', 'intense' ),
			'small' => __( 'small', 'intense' ),
			'medium' => __( 'medium', 'intense' ),
			'large' => __( 'large', 'intense' ),
			'mega' => __( 'mega', 'intense' ),
		)
	),
	'border_radius' => array(
		'type' => 'border_radius',
		'title' => __( 'Border Radius', 'intense' ),
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
	'progress_segment' => array(
		'type' => 'repeater',
		'title' => __( 'Segments', 'intense' ),
		'description' => __( 'If animated, <code>{0}</code> found within the text will be replaced with the percent (ex. My percent: {0}% -> My percent: 50%)', 'intense' ),
		'fields' => array(
			'color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Color', 'intense' ),
			),
			'value' => array(
				'type' => 'text',
				'title' => __( 'Value', 'intense' ),
				'skinnable' => false
			),
			'text' => array(
				'type' => 'text',
				'title' => __( 'Text', 'intense' ),
				'skinnable' => false
			),
		)
	)
);
