<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - the client-side id of the row. This id will be set on the HMTL tag.', 'intense' ),
        'skinnable' => false
	),
	'visible_large' => array(
		'type' => 'checkbox',
		'title' => __( 'Visible Large Screens', 'intense' ),	
		'description' => __( 'used to show when viewed on large devices - desktops (≥1200px)', 'intense' ),	
		'composer_show_value' => true
	),
	'visible_medium' => array(
		'type' => 'checkbox',
		'title' => __( 'Visible Medium Screens', 'intense' ),
		'description' => __( 'used to show when viewed on medium devices - desktops (≥992px)', 'intense' ),		
		'composer_show_value' => true
	),
	'visible_small' => array(
		'type' => 'checkbox',
		'title' => __( 'Visible Small Screens', 'intense' ),
		'description' => __( 'used to show when viewed on small devices - tablets (≥768px)', 'intense' ),		
		'composer_show_value' => true
	),
	'visible_extra_small' => array(
		'type' => 'checkbox',
		'title' => __( 'Visible Extra Small Screens', 'intense' ),
		'description' => __( 'used to show when viewed on extra small devices - phones (<768px)', 'intense' ),		
		'composer_show_value' => true
	),
	'visible_print' => array(
		'type' => 'checkbox',
		'title' => __( 'Visible Print', 'intense' ),
		'description' => __( 'used to show when printing', 'intense' ),		
		'composer_show_value' => true
	),
	'hidden_large' => array(
		'type' => 'checkbox',
		'title' => __( 'Hidden Large Screens', 'intense' ),		
		'description' => __( 'used to hide when viewed on large devices - desktops (≥1200px)', 'intense' ),	
		'composer_show_value' => true
	),
	'hidden_medium' => array(
		'type' => 'checkbox',
		'title' => __( 'Hidden Medium Screens', 'intense' ),
		'description' => __( 'used to hide when viewed on medium devices - desktops (≥992px)', 'intense' ),		
		'composer_show_value' => true
	),
	'hidden_small' => array(
		'type' => 'checkbox',
		'title' => __( 'Hidden Small Screens', 'intense' ),
		'description' => __( 'used to hide when viewed on small devices - tablets (≥768px)', 'intense' ),		
		'composer_show_value' => true
	),
	'hidden_extra_small' => array(
		'type' => 'checkbox',
		'title' => __( 'Hidden Extra Small Screens', 'intense' ),
		'description' => __( 'used to hide when viewed on extra small devices - phones (<768px)', 'intense' ),		
		'composer_show_value' => true
	),	
	'hidden_print' => array(
		'type' => 'checkbox',
		'title' => __( 'Hidden Print', 'intense' ),
		'description' => __( 'used to hide when printing', 'intense' ),		
		'composer_show_value' => true
	),
	'class' => array(
        'type' => 'text',
        'title' => __( 'CSS Class', 'intense' ),
    ),	
);