<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'url' => array(
		'type' => 'text',
		'title' => __( 'URL', 'intense' ),
		'skinnable' => false
	),
	'max' => array(
		'type' => 'text',
		'title' => __( 'Max Items', 'intense' ),
		'default' => 5,
	),
	'no_items' => array(
		'type' => 'text',
		'title' => __( 'No Items Text', 'intense' ),
		'default' => __( 'No Items', 'intense' ),
		'skinnable' => false
	),
	'template' => array(
		'type' => 'template',
		'title' => __( 'Template', 'intense' ),
		'description' => __( 'the template files should be located in the intense_templates/rss/ folder in your theme or child theme.', 'intense' ),
		'path' => '/rss/',
		'default' => 'title'
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
);
