<?php

global $intense_visions_options;
global $post;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'the client-side id (optional)', 'intense' ),
		'skinnable' => false
	),
	'post_type' => array(
		'type' => 'post_type',
		'title' => __( 'Post Type', 'intense' ),
		'default' => 'page',
        'skinnable' => false
	),
	'title' => array(
		'type' => 'text',
		'title' => __( 'Title', 'intense' ),
		'default' => __( 'Pages' ),
		'skinnable' => false
	),
	'parent' => array(
		'type' => 'text',
		'title' => __( 'Parent', 'intense' ),
		'description' => __( 'if left blank, the current page/post will be used', 'intense' ),
		'skinnable' => false
	),	
	'depth' => array(
		'type' => 'text',
		'title' => __( 'Max Depth', 'intense' ),
		'description' => __( 'depth of children pages', 'intense' ),
		'default' => 1
	),
	'template' => array(
		'type' => 'template',
		'title' => __( 'Template', 'intense' ),
		'description' => __( 'the template files should be located in the intense_templates/siblings/ folder in your theme or child theme.', 'intense' ),
		'path' => '/siblings/',
		'default' => 'link'
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
);
