<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),	
	'columns' => array(
		'type' => 'hidden',
		'title' => __( 'Columns', 'intense' ),
		'description' => __( 'comma separated list of column header text', 'intense' ),
		'skinnable' => false
	),
	'data' => array(
		'type' => 'hidden',
		'title' => __( 'Data', 'intense' ),
		'description' => __( 'comma separated list of table data. Number of data items should match columns.', 'intense' ),
		'skinnable' => false
	),
	'type' => array(
		'type' => 'dropdown',
		'title' => __( 'Type', 'intense' ),
		'default' => 'standard',
		'options' => array(
			'condensed' => __( 'Condensed', 'intense' ),
			'standard' => __( 'Standard', 'intense' ),
			'striped' => __( 'Striped', 'intense' ),
		),
	),
	'source' => array(
		'type' => 'dropdown',
		'title' => __( 'Source', 'intense' ),
		'default' => 'manual',
		'options' => array(
			'manual' => __( 'Manual', 'intense' ),
			'file' => __( 'File', 'intense' ),
		),
	),
	'heading_background_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Heading Background Color', 'intense' ),
	),
	'heading_font_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Heading Font Color', 'intense' ),
	),
	'bordered' => array(
		'type' => 'checkbox',
		'title' => __( 'Bordered', 'intense' ),
	),
	'file' => array(
		'type' => 'file',
		'title' => __( 'CSV File', 'intense' ),
		'description' => __( 'enter a WordPress attachment ID or a URL', 'intense' ),
		'class' => 'filesettings',
		'skinnable' => false
	),
	'delimiter' => array(
		'type' => 'text',
		'title' => __( 'Field Delimiter', 'intense' ),
		'default' => ',',
		'class' => 'filesettings'
	),
	'skip_empty_lines' => array(
		'type' => 'checkbox',
		'title' => __( 'Skip Empty Lines', 'intense' ),
		'default' => 1,
		'class' => 'filesettings'
	),
	'trim_fields' => array(
		'type' => 'checkbox',
		'title' => __( 'Trim Fields', 'intense' ),
		'default' => 1,
		'class' => 'filesettings'
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	)
);
