<?php

class Intense_Widget_Social_Icons extends WP_Widget {
    public $sources;

    public $social_networks = array(
        'Facebook' => array(
            'font-awesome' => 'facebook',
            'image' => 'Facebook',
            'flat-social' => 'facebook',
            'flat-social-multicolor' => 'facebook',
        ),
        'Dribbble' => array(
            'font-awesome' => 'dribbble',
            'image' => 'Dribbble',
            'flat-social' => 'dribbble',
            'flat-social-multicolor' => 'dribbble',
        ),
        'Blogger' => array(
            'image' => 'Blogger'
        ),
        'Twitter' => array(
            'font-awesome' => 'twitter',
            'image' => 'Twitter',
            'flat-social' => 'twitter',
            'flat-social-multicolor' => 'twitter',          
        ),
        'Tumblr' => array(
            'font-awesome' => 'tumblr',
            'image' => 'Tumblr',
            'flat-social' => 'tumblr',
            'flat-social-multicolor' => 'tumblr',
        ),
        'Google Plus' => array(
            'font-awesome' => 'google-plus',
            'image' => 'Google Plus',
            'flat-social' => 'google-plus',
            'flat-social-multicolor' => 'google-plus',
        ),
        'RSS' => array(
            'image' => 'RSS'
        ),
        'Reddit' => array(
            'image' => 'Reddit'
        ),
        'Email' => array(
            'image' => 'Email'
        ),
        'YouTube' => array(
            'font-awesome' => 'youtube',
            'image' => 'YouTube',
            'flat-social' => 'youtube1',
            'flat-social-multicolor' => 'youtube1',
        ),
        'Yahoo' => array(
            'image' => 'Yahoo'
        ),
        'Vimeo' => array(
            'image' => 'Vimeo',
            'flat-social' => 'vimeo',
            'flat-social-multicolor' => 'vimeo',
        ),
        'LinkedIn' => array(
            'font-awesome' => 'linkedin',
            'image' => 'LinkedIn',
            'flat-social' => 'linkedin',
            'flat-social-multicolor' => 'linkedin',
        ),
        'Flickr' => array(
            'font-awesome' => 'flickr',
            'image' => 'Flickr',
            'flat-social' => 'flickr',
            'flat-social-multicolor' => 'flickr',
        ),
        'Foursquare' => array(
            'font-awesome' => 'foursquare',
            'image' => 'Foursquare'
        ),
        'Skype' => array(
            'font-awesome' => 'skype',
            'image' => 'Skype',
            'flat-social' => 'skype',
            'flat-social-multicolor' => 'skype',
        ),
        'StumbleUpon' => array(
            'image' => 'StumbleUpon'
        ),
        'Deviant Art' => array(
            'image' => 'Deviant Art',
            'flat-social' => 'devianart',
            'flat-social-multicolor' => 'devianart',
        ),
        'Pinterest' => array(
            'font-awesome' => 'pinterest',
            'image' => 'Pinterest',
            'flat-social' => 'pinterest',
            'flat-social-multicolor' => 'pinterest',
        ),
        'Digg' => array(
            'image' => 'Digg'
        ),
        'Forrst' => array(
            'image' => 'Forrst'
        ),
        'MySpace' => array(
            'image' => 'MySpace'
        ),
        '500px' => array(
            'image' => '500px'
        ),
        'Aboutme' => array(
            'image' => 'Aboutme'
        ),
        'Bing' => array(
            'image' => 'Bing'
        ),
        'Add This' => array(
            'image' => 'Add This'
        ),
        'Amazon' => array(
            'image' => 'Amazon'
        ),
        "AOL" => array(
            'image' => 'AOL'
        ),
        "App Store" => array(
            'image' => 'App Store'
        ),
        "Apple" => array(
            'font-awesome' => 'apple',
            'image' => 'Apple'
        ),
        "Bebo" => array(
            'image' => 'Bebo'
        ),
        "Behance" => array(
            'image' => 'Behance',
            'flat-social' => 'behance',
            'flat-social-multicolor' => 'behance',
        ),
        "Blip" => array(
            'image' => 'Blip'
        ),
        'Coroflot' => array(
            'image' => 'Coroflot'
        ),
        'Daytum' => array(
            'image' => 'Daytum'
        ),
        'Delicious' => array(
            'image' => 'Delicious'
        ),
        'Design Bump' => array(
            'image' => 'Design Bump'
        ),
        'DesignFloat' => array(
            'image' => 'DesignFloat'
        ),
        'Dropplr' => array(
            'image' => 'Dropplr'
        ),
        'Drupal' => array(
            'image' => 'Drupal'
        ),
        'EBay' => array(
            'image' => 'EBay',
            'flat-social' => 'ebay',
            'flat-social-multicolor' => 'ebay',
        ),
        'Ember' => array(
            'image' => 'Ember'
        ),
        'Etsy' => array(
            'image' => 'Etsy'
        ),
        'FeedBurner' => array(
            'image' => 'FeedBurner'
        ),
        'FoodSpotting' => array(
            'image' => 'FoodSpotting'
        ),
        'FriendFeed' => array(
            'image' => 'FriendFeed'
        ),
        'Friendster' => array(
            'image' => 'Friendster'
        ),
        'gdgt' => array(
            'image' => 'gdgt'
        ),
        'github' => array(
            'font-awesome' => 'github',
            'image' => 'github'
        ),        
        'Google' => array(
            'image' => 'Google'
        ),
        'GrooveShark' => array(
            'image' => 'GrooveShark'
        ),
        'Hyves' => array(
            'image' => 'Hyves'
        ),
        'IconDock' => array(
            'image' => 'IconDock'
        ),
        'ICQ' => array(
            'image' => 'ICQ'
        ),
        'Identi' => array(
            'image' => 'Identi'
        ),
        'iMessage' => array(
            'image' => 'iMessage'
        ),
        'Instagram' => array(
            'font-awesome' => 'instagram',
            'image' => 'Instagram',
            'flat-social' => 'instagram',
            'flat-social-multicolor' => 'instagram',
        ),
        'iTunes' => array(
            'image' => 'iTune'
        ),
        'LastFM' => array(
            'image' => 'LastFM'
        ),
        'Meetup' => array(
            'image' => 'Meetup'
        ),
        'Metacafe' => array(
            'image' => 'Metacafe'
        ),
        'Microsoft' => array(
            'image' => 'Microsoft'
        ),
        'Mister Wong' => array(
            'image' => 'Mister Wong'
        ),
        'Mixx' => array(
            'image' => 'Mixx'
        ),
        'MobileMe' => array(
            'image' => 'MobileMe'
        ),
        'NetVibes' => array(
            'image' => 'NetVibes'
        ),
        'NewsVine' => array(
            'image' => 'NewsVine'
        ),
        'PayPal' => array(
            'image' => 'PayPal',
            'flat-social' => 'paypal',
            'flat-social-multicolor' => 'paypal',
        ),
        'PhotoBucket' => array(
            'image' => 'PhotoBucket'
        ),
        'Podcast' => array(
            'image' => 'Podcast'
        ),
        'Posterous' => array(
            'image' => 'Posterous'
        ),
        'Qik' => array(
            'image' => 'Qik'
        ),
        'Quora' => array(
            'image' => 'Quora'
        ),
        'Scribd' => array(
            'image' => 'Scribd'
        ),
        'Sharethis' => array(
            'image' => 'Sharethis'
        ),
        'Slashdot' => array(
            'image' => 'Slashdot'
        ),
        'Slideshare' => array(
            'image' => 'Slideshare'
        ),
        'SmugMug' => array(
            'image' => 'SmugMug'
        ),
        'SoundCloud' => array(
            'image' => 'SoundCloud',
            'flat-social' => 'soundcloud',
            'flat-social-multicolor' => 'soundcloud',
        ),
        'Spotify' => array(
            'image' => 'Spotify'
        ),
        'Squidoo' => array(
            'image' => 'Squidoo'
        ),
        'StackOverflow' => array(
            'image' => 'StackOverflow'
        ),
        'Technorati' => array(
            'image' => 'Technorati'
        ),
        'Viddler' => array(
            'image' => 'Viddler'
        ),
        'Virb' => array(
            'image' => 'Virb'
        ),
        'Wikipedia' => array(
            'image' => 'Wikipedia'
        ),
        'WordPress' => array(
            'image' => 'WordPress',
            'flat-social' => 'wordpress',
            'flat-social-multicolor' => 'wordpress',
        ),
        'Xing' => array(
            'font-awesome' => 'xing',
            'image' => 'Xing'
        ),
        'Yelp' => array(
            'image' => 'Yelp'
        ),        
        'Windows' => array(
            'font-awesome' => 'windows',
            'flat-social' => 'windows',
            'flat-social-multicolor' => 'windows',
        ),
        'Android' => array(
            'font-awesome' => 'android',            
            'flat-social' => 'android',
            'flat-social-multicolor' => 'android',
        ),
        'Bitbucket' => array(
            'font-awesome' => 'bitbucket'
        ),
        'Bitcoin' => array(
            'font-awesome' => 'bitcoin',
        ),
        'Btc' => array(
            'font-awesome' => 'btc',
        ),
        'CSS3' => array(
            'font-awesome' => 'css3',
        ),
        'Dropbox' => array(
            'font-awesome' => 'dropbox',
            'flat-social' => 'dropbox',
            'flat-social-multicolor' => 'dropbox',
        ),
        'Gittip' => array(
            'font-awesome' => 'gittip',
        ),
        'Globe' => array(
            'font-awesome' => 'globe',
        ),
        'HTML5' => array(
            'font-awesome' => 'html5',
        ),
        'Linux' => array(
            'font-awesome' => 'linux',
        ),
        'MaxCDN' => array(
            'font-awesome' => 'maxcdn',
        ),
        'RenRen' => array(
            'font-awesome' => 'renren',
        ),
        'StackExchange' => array(
            'font-awesome' => 'stackexchange',
        ),
        'Trello' => array(
            'font-awesome' => 'trello',
        ),
        'Vk' => array(
            'font-awesome' => 'vk',
        ),
        'Weibo' => array(
            'font-awesome' => 'weibo',
        ),
    );

    function __construct() {
        $widget_options = array('classname' => 'social',
                            'description' => 'Displays icon links to social websites');
        $control_options = array('id_base' => 'social-widget');

        ksort($this->social_networks);

         $this->sources = array(
            'image' => __('Image', 'intense'),
            'font-awesome' => __('Font Awesome', 'intense'),
            'flat-social' => __('Flat Social', 'intense'),
            'flat-social-multicolor' => __('Flat Social Multicolor', 'intense'),
        );

        parent::__construct('social-widget', '(Intense) Social Icons', $widget_options, $control_options);        
    }

    function widget( $args, $instance ) {
        extract( $args );        

        echo $before_widget;
        
        $title = apply_filters( 'widget_title', isset( $instance['title'] ) ? $instance['title'] : '' );

        if ( $title ) {
            echo $before_title . $title . $after_title;
        }

        $icons = json_decode( $instance['icons'] );

        foreach ( $icons as $key => $icon ) {
            echo '<a class="' . esc_attr( $icon->id ) . ' social-link" href="' . esc_attr( $icon->link ) . '" rel="external nofollow" title="' . esc_attr( $icon->label ) . '">';

            switch ( $icon->source ) {
                case 'image':
                    echo '<img src="' . INTENSE_PLUGIN_URL . '/assets/img/social/PNG/' . urlencode( $instance['size'] ) . 'px/' . urlencode( $icon->type ) . '.png" alt="' . esc_attr( $icon->label ) . '" /></a>';
                    break;                
                default:            
                    echo '<div style="vertical-align: middle; display: inline-block; margin-right: 2px;">' . intense_run_shortcode( 'intense_icon', array(
                        'source' => $icon->source,
                        'type' => $icon->type,
                        'color' => $instance['color'],
                        'width' => $instance['size'],
                    )) . '</div>';
                    break;
            }

            echo '</a>';            
        }

        echo $after_widget;

        wp_reset_query();
    }

    function update( $new_instance, $old_instance ) {
        $instance = $old_instance;
        $instance['title'] = strip_tags( $new_instance['title'] );
        $instance['size'] = $new_instance['size'];
        $instance['color'] = $new_instance['color'];
        $instance['icons'] = $new_instance['icons'];

        return $instance;
    }

    function form( $instance ) {
        $defaults = array( 
            'title' => 'Social Links',
            'size' => '32',
            'color' => '',
            'icons' => '[]'
        );        

        $sizes = array(
            "32" => '32',
            "31" => '31',
            "30" => '30',
            "29" => '29',
            "28" => '28',
            "27" => '27',
            "26" => '26',
            "25" => '25',
            "24" => '24',
            "23" => '23',
            "22" => '22',
            "21" => '21',
            "20" => '20',
            "19" => '19',
            "18" => '18',
            "17" => '17',
            "16" => '16',
            "15" => '15',
            "14" => '14',
            "13" => '13',
            "12" => '12',
            "11" => '11',
            "10" => '10',
            "9" => '9',
            "8" => '8'
        );

        $instance = wp_parse_args( (array) $instance, $defaults );

        ?>
        <p>
            <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title', 'intense'); ?></label>
            <input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>"  />
        </p>        
        <p>
            <label for="<?php echo $this->get_field_id( 'size' ); ?>"><?php _e( 'Size:', 'intense' ); ?></label><br />
            <select name="<?php echo $this->get_field_name( 'size' ); ?>" id="<?php echo $this->get_field_id( 'size' ); ?>" value>
                
                <?php
                foreach ($sizes as $key => $value) {
                    echo '<option ' . ($instance['size'] == $key ? 'selected="selected"' : '') . ' value="' . esc_attr( $key ) . '">' . esc_html( $value ) . '</option>';
                }
                ?>

            </select>
        </p>
        <p>
            <label for="<?php echo $this->get_field_id( 'color' ); ?>"><?php _e('Color:', 'intense'); ?></label>
            <input type="text" class="widefat" id="<?php echo $this->get_field_id( 'color' ); ?>" name="<?php echo $this->get_field_name( 'color' ); ?>" value="<?php echo $instance['color']; ?>"  />
        </p>

        <label for="<?php echo $this->get_field_id( 'icons' ); ?>"><?php _e( 'Icons:', 'intense' ); ?></label><br />    

        <div style="background: #efefef; border: 1px solid #ddd; padding: 10px;">
            <p style="float: left; margin-top: 0;">
                <label><?php _e( 'Source:', 'intense' ); ?></label><br />
                <select class="network-icon-type">
                    
                    <?php
                    foreach ($this->sources as $key => $value) {
                        echo '<option value="' . esc_attr( $key ) . '">' . esc_html( $value ) . '</option>';
                    }
                    ?>

                </select>
            </p>
            <p style="float: left; margin-top: 0;">
                <label><?php _e( 'Type:', 'intense' ); ?></label><br />
                <select class="network-icon-list">
                    
                    <?php
                    foreach ($this->social_networks as $network_name => $network) {
                        foreach ($network as $source => $icon) {
                            echo '<option class="network-icon ' . esc_attr( $source ) . ( $instance['type'] != $source ? ' hidden' : '' ) . '" data-source="' . esc_attr( $source ) . '" value="' . esc_attr( $icon ) . '">' . esc_html( $network_name ) . '</option>';
                        }
                    }
                    ?>

                </select>
            </p>
            <div style="clear: both"></div>
            <a class='network-icon-add button' style="width: 100%; text-align: center;"><?php _e( 'Add', 'intense' ); ?></a>            
        </div>

        
        <div class="added-networks" style="border: 1px solid #ccc; background: #fff; padding: 10px; margin: 5px 0; min-height: 118px;"></div>
        <textarea type="text" class="widefat icons hidden" id="<?php echo $this->get_field_id( 'icons' ); ?>" name="<?php echo $this->get_field_name( 'icons' ); ?>"><?php echo $instance['icons']; ?></textarea>
        
        <script>
            jQuery(function($) {                
                var $widgetForm = $('#<?php echo $this->get_field_id( 'title' ); ?>').parents("form");
                var selectedNetworksText = $('#<?php echo $this->get_field_id( 'icons' ); ?>').val();
                var selectedNetworks = selectedNetworksText.length > 0 ? JSON.parse(selectedNetworksText) : [];
                var nextId = selectedNetworks.length;

                $('.network-icon-type').change(function() {                    
                    var icontype = $(this).val();
                    var $form = $(this).parents("form");

                    $('.network-icon-list', $form).find('.network-icon').addClass('hidden');
                    $('.network-icon-list', $form).find('.' + icontype).removeClass('hidden');
                    $('.network-icon-list', $form).find('.network-icon').not('.hidden').first().attr('selected', 'selected');
                });
                
                $('.network-icon-type').change();

                function generateIcon( $form, id, source, icon, text, link, label ) {
                    var selection = $('<div style="padding: 10px; background: #efefef; border: 1px solid #ddd; margin-bottom: 10px;"></div>');
                    var labelInput = $('<input id="label-' + id + '" type="text" value="' + (label != null ? label : text) + '"></input>');
                    var linkInput = $('<input id="link-' + id + '" type="text" value="' + link + '"></input>');
                    var removeButton = $('<span style="float: right; cursor: pointer; font-size: 20px; width: 25px; height: 25px; text-align: center;margin-top: -5px; margin-right: -10px;" id="remove-' + id + '"">&times;</span>');
                    var upButton = $('<span style="float: right; cursor: pointer; font-size: 20px; width: 25px; height: 25px; text-align: center;margin-top: -5px;" id="up-' + id + '"">&#xffea;</span>');
                    var downButton = $('<span style="float: right; cursor: pointer; font-size: 20px; width: 25px; height: 25px; text-align: center;margin-top: -5px;" id="down-' + id + '"">&#xffec;</span>');
                    var sourceText = $('.network-icon-type option[value="' + source + '"]', $form).text();

                    labelInput.keyup(function() {
                        var $form = $(this).parents('form');
                        var icons = getIcons( $form );
                        var id = $(this).attr('id').replace('label-', '');
                        var label = $(this).val();

                        icon = getIcon($form, id, icons);

                        icon.label = label;

                        saveIcons($form, icons);
                    });

                    linkInput.keyup(function() {
                        var $form = $(this).parents('form');
                        var icons = getIcons( $form );
                        var id = $(this).attr('id').replace('link-', '');
                        var link = $(this).val();

                        icon = getIcon($form, id, icons);

                        icon.link = link;

                        saveIcons($form, icons);
                    });

                    upButton.click(function() {
                        var $form = $(this).parents('form');                        
                        var id = $(this).attr('id').replace('up-', '');                                               

                        moveIcon($form, id, -1);                        
                    });

                    downButton.click(function() {                        
                        var $form = $(this).parents('form');
                        var id = $(this).attr('id').replace('down-', '');                                               

                        moveIcon($form, id, 1);
                    });

                    removeButton.click(function() {                       
                        var $form = $(this).parents('form');
                        var id = $(this).attr('id').replace('remove-', '');

                        removeIcon($form, id);

                        $(this).parent().remove();
                    });

                    $('.added-networks', $form).append(selection);
                    
                    selection.append('<div style="display: inline-block; width: 35px"><?php _e( 'Label', 'intense' ); ?></div>');
                    selection.append(labelInput);
                    selection.append('<br>');
                    selection.append('<div style="display: inline-block; width: 35px"><?php _e( 'Link', 'intense' ); ?></div>');
                    selection.append(linkInput);
                    selection.append('</div>');                    
                    selection.prepend('<strong>' + text + ' (' + sourceText + ')</strong><hr>'); 
                    selection.prepend(upButton);
                    selection.prepend(downButton);
                    selection.prepend(removeButton);

                    selection.wrap('<div>');
                }

                function getIcon( $form, id, icons) {                    
                    var icon;

                    $.each(icons, function(i,e){
                        if ( e.id == id ) icon = e;
                    });

                    return icon;
                }

                function addIcon( $form, icon ) {
                    var icons = getIcons( $form );

                    icons.push( icon );

                    saveIcons($form, icons);   
                }

                function removeIcon( $form, id) {
                    var icons = getIcons( $form );
                    var newIcons = [];

                    $.each(icons, function(i,e){
                        if ( e.id != id ) {
                            newIcons.push(e);
                        }
                    });                    

                    saveIcons($form, newIcons);
                }

                function moveIcon( $form, id, amount) {
                    var icons = getIcons( $form );
                    var index = -1;
                    var currentIndex = -1;

                    $.each(icons, function(i,e){
                        if ( e.id == id ) {
                            index = i;
                            currentIndex = i;
                        }
                    });

                    index += amount;

                    if ( index < 0 ) {
                        index = 0;
                    }

                    if ( index > icons.length - 1 ) {
                        index = icons.length - 1
                    }

                    var temp = icons[index];

                    icons[index] = icons[currentIndex];
                    icons[currentIndex] = temp;

                    saveIcons($form, icons);

                    $('.added-networks', $form).html('');
                    setupData($form);
                }

                function saveIcons( $form, icons) {
                    $('.icons', $form).val(JSON.stringify(icons));
                }

                function getIcons( $form ) {
                    var rawIcons = $('.icons', $form).val();                    

                    return rawIcons.length > 0 ? JSON.parse(rawIcons) : [];
                }

                function generateId( $form ) {
                    var icons = getIcons( $form );
                    var largestId = 0;

                    $.each(icons, function(i,e){
                        if ( e.id >= largestId ) largestId = e.id + 1;
                    });

                    return largestId;
                }

                function setupData( $form ) {
                    var icons = getIcons( $form );

                    $.each(icons, function(i,e){
                        generateIcon( $form, e.id, e.source, e.type, e.text, e.link, e.label );   
                    });
                }

                $('.network-icon-add').unbind('click');
                $('.network-icon-add').click(function(e) { 
                    e.preventDefault();

                    var $form = $(this).parents('form');
                    var icon = $('.network-icon-list', $form).val();
                    var text = $('.network-icon-list option[value="' + icon + '"]', $form).first().text();
                    var source = $('.network-icon-type', $form).val();
                    var id = generateId($form);

                    generateIcon( $form, id, source, icon, text, '', null );                
                     
                    addIcon($form, {
                        'id': id,
                        'source': source,
                        'text': text,
                        'type': icon,
                        'label': text,
                        'link': ''
                    });                               
                });

                setupData($widgetForm);
            });
        </script>
        <?php
    }
}


