/**
 * @name StyledMarkerMaker
 * @version 0.5
 * @author Gabriel Schneider
 * @copyright (c) 2010 Gabriel Schneider
 * @fileoverview This gives you static functions for creating dynamically
 *     styled markers using Charts API outputs as well as an ability to
 *     extend with custom types.
 *//**
 * Licensed under the Apache License, Version 2.0 (the 'License');
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an 'AS IS' BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */function inherits(e,t){function n(){}n.prototype=t.prototype;e.superClass_=t.prototype;e.prototype=new n;e.prototype.constructor=e}var StyledIconTypes={},StyledMarker,StyledIcon;(function(){var e="https://chart.googleapis.com/chart?chst=",t=google.maps,n=t.Point,r=t.event,i=t.MarkerImage;StyledMarker=function(e){t.Marker.call(this);var n=this,r=n.styleIcon=e.styleIcon;n.bindTo("icon",r);n.bindTo("shadow",r);n.bindTo("shape",r);n.setOptions(e)};inherits(StyledMarker,t.Marker);StyledIcon=function(e,t,n){function c(){var t=document.createElement("img"),n=document.createElement("img");r.addDomListenerOnce(n,"load",function(){var t=n.width,r=n.height;o.set(a,new i(e.getShadowURL(o),null,null,e.getShadowAnchor(o,t,r)));simage=null});r.addDomListenerOnce(t,"load",function(){var n=t.width,r=t.height;o.set(u,new i(e.getURL(o),null,null,e.getAnchor(o,n,r)));o.set(f,e.getShape(o,n,r));t=null});t.src=e.getURL(o);n.src=e.getShadowURL(o)}var s,o=this,u="icon",a="shadow",f="shape",l=[];o.as_=function(e){l.push(e);for(s in t)e.set(s,t[s])};if(e!==StyledIconTypes.CLASS){for(s in e.defaults)o.set(s,e.defaults[s]);o.setValues(t);o.set(u,e.getURL(o));o.set(a,e.getShadowURL(o));n&&n.as_(o);c();o.changed=function(e){e!==u&&e!==f&&e!==a&&c()}}else{o.setValues(t);o.changed=function(e){t[e]=o.get(e);for(s=0;s<l.length;s++)l[s].set(e,o.get(e))};n&&n.as_(o)}};StyledIcon.prototype=new t.MVCObject;StyledIconTypes.CLASS={};StyledIconTypes.MARKER={defaults:{text:"",color:"00ff00",fore:"000000",starcolor:null},getURL:function(t){var n,r=t.get("starcolor"),i=t.get("text"),s=t.get("color").replace(/#/,""),o=t.get("fore").replace(/#/,"");r?n=e+"d_map_xpin_letter&chld=pin_star|":n=e+"d_map_pin_letter&chld=";i&&(i=i.substr(0,2));n+=i+"|";n+=s+"|";n+=o;r&&(n+="|"+r.replace(/#/,""));return n},getShadowURL:function(t){return t.get("starcolor")?e+"d_map_xpin_shadow&chld=pin_star":e+"d_map_pin_shadow"},getAnchor:function(e,t,r){return new n(t/2,r)},getShadowAnchor:function(e,t,r){return new n(t/4,r)},getShape:function(e,t,n){var r={};r.coord=[t/2,n,7/16*t,5/8*n,5/16*t,7/16*n,7/32*t,5/16*n,5/16*t,1/8*n,.5*t,0,.6875*t,1/8*n,25/32*t,5/16*n,.6875*t,7/16*n,9/16*t,5/8*n];for(var i=0;i<r.coord.length;i++)r.coord[i]=Math.round(r.coord[i]);r.type="poly";return r}};StyledIconTypes.BUBBLE={defaults:{text:"",color:"00ff00",fore:"000000"},getURL:function(t){var n=e+"d_bubble_text_small&chld=bb|";n+=t.get("text")+"|";n+=t.get("color").replace(/#/,"")+"|";n+=t.get("fore").replace(/#/,"");return n},getShadowURL:function(t){return e+"d_bubble_text_small_shadow&chld=bb|"+t.get("text")},getAnchor:function(e,t,n){return new google.maps.Point(0,42)},getShadowAnchor:function(e,t,n){return new google.maps.Point(0,44)},getShape:function(e,t,n){var r={};r.coord=[0,44,13,26,13,6,17,1,t-4,1,t,6,t,21,t-4,26,21,26];r.type="poly";return r}}})();