/*!
 * Shortcodes Media Helper Functions
 * Copyright (c) 2014 Intense Visions, Inc.
 */
/* global wp */
/* exported loadFileFrame, loadImageFrame, loadVideoFrame, loadVideoFrame */
/* jshint -W061 */
var frame;function loadFileFrame(a,b){"undefined"!=typeof frame&&frame.close(),// Create the media frame.
frame=wp.media.frames.file_frame=wp.media({title:a.data("uploader_title"),button:{text:a.data("uploader_button_text")},multiple:!1}),// When an image is selected, run a callback.
frame.on("select",function(){// We set multiple to false so only get one image from the uploader
var a=frame.state().get("selection").first().toJSON();b&&b(a)}),// Finally, open the modal
frame.open()}function loadImageFrame(a,b){"undefined"!=typeof frame&&frame.close(),// Create the media frame.
frame=wp.media.frames.file_frame=wp.media({title:a.data("uploader_title"),button:{text:a.data("uploader_button_text")},library:{},multiple:!1}),// When an image is selected, run a callback.
frame.on("select",function(){// We set multiple to false so only get one image from the uploader
var a=frame.state().get("selection").first().toJSON();b&&b(a)}),// Finally, open the modal
frame.open()}function loadVideoFrame(a,b){"undefined"!=typeof frame&&frame.close(),// Create the media frame.
frame=wp.media.frames.file_frame=wp.media({title:a.data("uploader_title"),button:{text:a.data("uploader_button_text")},library:{type:"video"},multiple:!1}),// When an image is selected, run a callback.
frame.on("select",function(){// We set multiple to false so only get one image from the uploader
var a=frame.state().get("selection").first().toJSON();b&&b(a)}),// Finally, open the modal
frame.open()}// Loads the media upload tool with multiselect and executes
// the callback after images has been selected
function loadGalleryFrame(a,b){"undefined"!=typeof frame&&frame.close(),// Create the media frame.
frame=wp.media.frames.file_frame=wp.media({title:a.data("uploader_title"),button:{text:a.data("uploader_button_text")},library:{type:"image"},multiple:!0}),// When an image is selected, run a callback.
frame.on("select",function(){// We set multiple to false so only get one image from the uploader
var a=frame.state().get("selection"),c=[];a.map(function(a){a=a.toJSON(),c.push(a)}),b&&b(c)}),// Finally, open the modal
frame.open()}function strip_tags(a,b){//  discuss at: http://phpjs.org/functions/strip_tags/
// original by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
// improved by: Luke Godfrey
// improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
//    input by: Pul
//    input by: Alex
//    input by: Marc Palau
//    input by: Brett Zamir (http://brett-zamir.me)
//    input by: Bobby Drake
//    input by: Evertjan Garretsen
// bugfixed by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
// bugfixed by: Onno Marsman
// bugfixed by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
// bugfixed by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
// bugfixed by: Eric Nagel
// bugfixed by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
// bugfixed by: Tomasz Wesolowski
//  revised by: Rafał Kukawski (http://blog.kukawski.pl/)
//   example 1: strip_tags('<p>Kevin</p> <br /><b>van</b> <i>Zonneveld</i>', '<i><b>');
//   returns 1: 'Kevin <b>van</b> <i>Zonneveld</i>'
//   example 2: strip_tags('<p>Kevin <img src="someimage.png" onmouseover="someFunction()">van <i>Zonneveld</i></p>', '<p>');
//   returns 2: '<p>Kevin van Zonneveld</p>'
//   example 3: strip_tags("<a href='http://kevin.vanzonneveld.net'>Kevin van Zonneveld</a>", "<a>");
//   returns 3: "<a href='http://kevin.vanzonneveld.net'>Kevin van Zonneveld</a>"
//   example 4: strip_tags('1 < 5 5 > 1');
//   returns 4: '1 < 5 5 > 1'
//   example 5: strip_tags('1 <br/> 1');
//   returns 5: '1  1'
//   example 6: strip_tags('1 <br/> 1', '<br>');
//   returns 6: '1 <br/> 1'
//   example 7: strip_tags('1 <br/> 1', '<br><br/>');
//   returns 7: '1 <br/> 1'
b=(((b||"")+"").toLowerCase().match(/<[a-z][a-z0-9]*>/g)||[]).join("");// making sure the allowed arg is a string containing only tags in lowercase (<a><b><c>)
var c=/<\/?([a-z][a-z0-9]*)\b[^>]*>/gi,d=/<!--[\s\S]*?-->|<\?(?:php)?[\s\S]*?\?>/gi;return a.replace(d,"").replace(c,function(a,c){return b.indexOf("<"+c.toLowerCase()+">")>-1?a:""})}function rawurlencode(a){// Tilde should be allowed unescaped in future versions of PHP (as reflected below), but if you want to reflect current
// PHP behavior, you would need to add ".replace(/~/g, '%7E');" to the following.
//       discuss at: http://phpjs.org/functions/rawurlencode/
//      original by: Brett Zamir (http://brett-zamir.me)
//         input by: travc
//         input by: Brett Zamir (http://brett-zamir.me)
//         input by: Michael Grier
//         input by: Ratheous
//      bugfixed by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
//      bugfixed by: Brett Zamir (http://brett-zamir.me)
//      bugfixed by: Joris
// reimplemented by: Brett Zamir (http://brett-zamir.me)
// reimplemented by: Brett Zamir (http://brett-zamir.me)
//             note: This reflects PHP 5.3/6.0+ behavior
//             note: Please be aware that this function expects to encode into UTF-8 encoded strings, as found on
//             note: pages served as UTF-8
//        example 1: rawurlencode('Kevin van Zonneveld!');
//        returns 1: 'Kevin%20van%20Zonneveld%21'
//        example 2: rawurlencode('http://kevin.vanzonneveld.net/');
//        returns 2: 'http%3A%2F%2Fkevin.vanzonneveld.net%2F'
//        example 3: rawurlencode('http://www.google.nl/search?q=php.js&ie=utf-8&oe=utf-8&aq=t&rls=com.ubuntu:en-US:unofficial&client=firefox-a');
//        returns 3: 'http%3A%2F%2Fwww.google.nl%2Fsearch%3Fq%3Dphp.js%26ie%3Dutf-8%26oe%3Dutf-8%26aq%3Dt%26rls%3Dcom.ubuntu%3Aen-US%3Aunofficial%26client%3Dfirefox-a'
return a=(a+"").toString(),encodeURIComponent(a).replace(/!/g,"%21").replace(/'/g,"%27").replace(/\(/g,"%28").replace(/\)/g,"%29").replace(/\*/g,"%2A")}function rawurldecode(a){//       discuss at: http://phpjs.org/functions/rawurldecode/
//      original by: Brett Zamir (http://brett-zamir.me)
//         input by: travc
//         input by: Brett Zamir (http://brett-zamir.me)
//         input by: Ratheous
//         input by: lovio
//      bugfixed by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
// reimplemented by: Brett Zamir (http://brett-zamir.me)
//      improved by: Brett Zamir (http://brett-zamir.me)
//             note: Please be aware that this function expects to decode from UTF-8 encoded strings, as found on
//             note: pages served as UTF-8
//        example 1: rawurldecode('Kevin+van+Zonneveld%21');
//        returns 1: 'Kevin+van+Zonneveld!'
//        example 2: rawurldecode('http%3A%2F%2Fkevin.vanzonneveld.net%2F');
//        returns 2: 'http://kevin.vanzonneveld.net/'
//        example 3: rawurldecode('http%3A%2F%2Fwww.google.nl%2Fsearch%3Fq%3Dphp.js%26ie%3Dutf-8%26oe%3Dutf-8%26aq%3Dt%26rls%3Dcom.ubuntu%3Aen-US%3Aunofficial%26client%3Dfirefox-a');
//        returns 3: 'http://www.google.nl/search?q=php.js&ie=utf-8&oe=utf-8&aq=t&rls=com.ubuntu:en-US:unofficial&client=firefox-a'
return decodeURIComponent((a+"").replace(/%(?![\da-f]{2})/gi,function(){// PHP tolerates poorly formed escape sequences
return"%25"}))}function base64_encode(a){//  discuss at: http://phpjs.org/functions/base64_encode/
// original by: Tyler Akins (http://rumkin.com)
// improved by: Bayron Guevara
// improved by: Thunder.m
// improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
// improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
// improved by: Rafał Kukawski (http://kukawski.pl)
// bugfixed by: Pellentesque Malesuada
//   example 1: base64_encode('Kevin van Zonneveld');
//   returns 1: 'S2V2aW4gdmFuIFpvbm5ldmVsZA=='
//   example 2: base64_encode('a');
//   returns 2: 'YQ=='
//   example 3: base64_encode('✓ à la mode');
//   returns 3: '4pyTIMOgIGxhIG1vZGU='
var b="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",c,d,e,f,g,h,i,j,k=0,l=0,m="",n=[];if(!a)return a;a=unescape(encodeURIComponent(a));do// pack three octets into four hexets
c=a.charCodeAt(k++),d=a.charCodeAt(k++),e=a.charCodeAt(k++),j=c<<16|d<<8|e,f=j>>18&63,g=j>>12&63,h=j>>6&63,i=63&j,// use hexets to index into b64, and append result to encoded string
n[l++]=b.charAt(f)+b.charAt(g)+b.charAt(h)+b.charAt(i);while(k<a.length);m=n.join("");var o=a.length%3;return(o?m.slice(0,o-3):m)+"===".slice(o||3)}function base64_decode(a){//  discuss at: http://phpjs.org/functions/base64_decode/
// original by: Tyler Akins (http://rumkin.com)
// improved by: Thunder.m
// improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
// improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
//    input by: Aman Gupta
//    input by: Brett Zamir (http://brett-zamir.me)
// bugfixed by: Onno Marsman
// bugfixed by: Pellentesque Malesuada
// bugfixed by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
//   example 1: base64_decode('S2V2aW4gdmFuIFpvbm5ldmVsZA==');
//   returns 1: 'Kevin van Zonneveld'
//   example 2: base64_decode('YQ===');
//   returns 2: 'a'
//   example 3: base64_decode('4pyTIMOgIGxhIG1vZGU=');
//   returns 3: '✓ à la mode'
var b="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",c,d,e,f,g,h,i,j,k=0,l=0,m="",n=[];if(!a)return a;a+="";do// unpack four hexets into three octets using index points in b64
f=b.indexOf(a.charAt(k++)),g=b.indexOf(a.charAt(k++)),h=b.indexOf(a.charAt(k++)),i=b.indexOf(a.charAt(k++)),j=f<<18|g<<12|h<<6|i,c=j>>16&255,d=j>>8&255,e=255&j,n[l++]=64==h?String.fromCharCode(c):64==i?String.fromCharCode(c,d):String.fromCharCode(c,d,e);while(k<a.length);return m=n.join(""),decodeURIComponent(escape(m.replace(/\0+$/,"")))}/*!
 * Shortcodes Dialogs Helper Functions
 */
function intenseRefreshPreview(){var a=jQuery;a("#preview-content").length>0&&a("#preview").click()}function intenseRenderDialog(shortcode,preset){var $=jQuery;$("#intense-shortcode-selector").css("max-width","1000px"),$(".intense-shortcodes").hide(),$(".intense-shortcode-input").show().html('<center><img src="'+intense_vars.plugin_url+'/assets/img/ajax-loader.gif" style="padding: 100px;"></center>'),$(".intense-shortcode-filter").hide();var active_skin=$("#intense-active-skin").val();$.ajax({type:"POST",url:ajaxurl+"?action=intense_shortcode_dialog_action&shortcode="+shortcode+"&preset="+preset+"&skin="+active_skin,beforeSend:function(){},success:function(data){$("#intense-shortcode-selector").css("max-width","1000px"),$(".intense-shortcode-input").html(data);var previewXHR=null;$(".intense-shortcodes-back, .intense-shortcodes-help").show(),$("#preview").click(function(){var shortcodeContent=eval($(this).data("function")),shortcodeClass=$(this).data("shortcode-class"),$previewcontent=$('<div id="preview-content"></div>'),activeTab=0;previewXHR&&previewXHR.abort(),previewXHR=$.ajax({type:"POST",url:ajaxurl+"?action=intense_shortcode_preview_action",cache:!1,data:{security:$("#nonce").val(),shortcode:shortcodeContent,"shortcode-class":shortcodeClass},beforeSend:function(){if(0===$("#preview-content").length)$("#shortcode-form .form-actions").append($previewcontent);else{var a=0;$("#preview-content > .nav.nav-tabs > li").each(function(){$(this).hasClass("active")&&(activeTab=a),a++})}$("#preview-content").parent().find(".intense-preview-loader").remove(),$("#preview-content").parent().prepend('<img class="intense-preview-loader" src="'+intense_vars.plugin_url+'/assets/img/ajax-loader.gif" style="float: right;" />')},success:function(a){$("#preview-content").parent().find(".intense-preview-loader").remove(),$("#preview-content").remove(),$("#shortcode-form .form-actions").append($previewcontent),$previewcontent.html(a),// These were causing the editor not to insert shortcode. Probably 
// re-initializing the editor and messing things up
//$(document).trigger('ready');
//$(window).trigger('load');
$("#preview-content > .nav.nav-tabs > li").removeClass("active"),$($("#preview-content > .nav.nav-tabs > li")[activeTab]).addClass("active"),$("#preview-content > .tab-content > .tab-pane").removeClass("active"),$($("#preview-content > .tab-content > .tab-pane")[activeTab]).addClass("active"),"function"==typeof intenseLoadGalleries&&intenseLoadGalleries(),previewXHR=null}})}),//intenseSetupPresets();
intenseInitializeRepeater()},dataType:"html"})}function intenseResetDialog(){var a=jQuery;a("#intense-shortcode-selector").css("max-width","1000px"),a(".intense-shortcode-input").fadeOut().html(""),a(".intense-shortcodes-back, .intense-shortcodes-help").hide(),a(".shortcode-help").remove(),a(".intense-shortcodes-help").find(".dashicons").remove(),a(".intense-shortcodes").fadeIn(),a(".intense-shortcode-filter").show(),setTimeout(function(){a(".intense-shortcode-filter > input").val("").focus()},50),a(".intense-shortcode-filter > input").keyup(),a(".intense.shortcode-list > li").css("opacity",1).css("background-color","#fff")}/*!
 * Shortcodes Repeater Helper Functions
 */
function intenseInitializeRepeater(){var a=jQuery;a(".of-color.minicolors-input",a(".repeater-item-model")).minicolors("destroy"),a(".repeater-add").click(function(){var b=a(".repeater-item-model").clone(),c=b.html().replace(/_id/g,"_"+a(".repeater-item").length);//set up ids
a(".of-color.minicolors-input",a(".repeater-item-model")).minicolors("destroy"),b.html(c),b.removeClass("repeater-item-model").addClass("repeater-item"),b.find(".repeater-number").html(a(".repeater-item").length+1),a(".repeater-add").before(b),intenseInitShortcode(),b.slideDown(),b.find('[data-toggle="tab"]').each(function(){var b=a(this).attr("href"),c=b+"_"+a(".repeater-item").length;a(this).attr("href",c)}),b.find(".tab-pane").each(function(){var b=a(this).attr("id"),c=b+"_"+a(".repeater-item").length;a(this).attr("id",c)}),intenseRefreshPreview()}),a(document).on("click",".repeater-remove",function(){var b=a(this).parents(".repeater-item");b.fadeOut(400,function(){b.remove();for(var c=a(".repeater-item"),d=a(".repeater-item").length,e=0;d>e;e++)a(c[e]).find(".repeater-number").html(e+1)})}),a(document).on("click",".repeater-hide",function(){var b=a(".repeater-content",a(this).parents(".repeater-item"));b.toggle(),a(this).html(b.is(":visible")?"&minus;":"&plus;")})}/*!
 * Shortcodes Presets Helper Functions
 */
function intenseRenderPresets(a){var b=jQuery;b.ajax({type:"POST",url:ajaxurl+"?action=intense_shortcode_presets_action",cache:!1,data:{security:b("#nonce").val(),shortcode:a},beforeSend:function(){b("#preset-list-footer").append('<img class="intense-preview-loader" src="'+intense_vars.plugin_url+'/assets/img/ajax-loader.gif" style="float: right;" />')},success:function(a){b("#preset-list-footer").find(".intense-preview-loader").remove(),b("#preset-list-content").html(a),intenseSetupPresets()}})}function intenseSetupPresets(){var $=jQuery;$("#save").click(function(){var shortcodeContent=eval($(this).data("function")),shortcodeClass=$(this).data("shortcode-class"),key=$("#key").val(),activeTab=0;$.ajax({type:"POST",url:ajaxurl+"?action=intense_shortcode_save_action",cache:!1,data:{security:$("#nonce").val(),shortcode:shortcodeContent,"shortcode-class":shortcodeClass,key:key},beforeSend:function(){$("#preset-list-footer").append('<img class="intense-preview-loader" src="'+intense_vars.plugin_url+'/assets/img/ajax-loader.gif" style="float: right;" />')},success:function(a){$("#preset-list-footer").find(".intense-preview-loader").remove(),intenseRenderPresets(shortcodeClass)}})}),$("#presets").click(function(a){$("#preset-list").toggle(),a.stopPropagation()}),$("#preset-list").click(function(a){a.stopPropagation()}),$(document).click(function(){$("#preset-list").hide()}),$(".preset-list-item").click(function(){var a=$(this).parent().attr("id").replace("preset-list-item-",""),b=$("#shortcode-form").data("shortcode");intenseRenderDialog(b,a)}),$(".preset-list-remove").click(function(a){var b=$(this).parent().attr("id").replace("preset-list-item-",""),c=$("#shortcode-form").data("shortcode");a.preventDefault(),$.ajax({type:"POST",url:ajaxurl+"?action=intense_shortcode_remove_action",cache:!1,data:{security:$("#nonce").val(),shortcode:c,key:b},beforeSend:function(){$("#preset-list-footer").append('<img class="intense-preview-loader" src="'+intense_vars.plugin_url+'/assets/img/ajax-loader.gif" style="float: right;" />')},success:function(a){$("#preset-list-footer").find(".intense-preview-loader").remove(),intenseRenderPresets(c)}})})}/*!
 * Snippet Functions
 */
function intenseResetSnippetDialog(){var a=jQuery,b=a("#snippet-selection")}function intenseLoadSnippets(){var a=jQuery;a("#snippet-selection").data("initialized")||(a("#snippet-selection").data("initialized",!0),a.ajax({type:"POST",url:ajaxurl+"?action=intense_load_snippets_action",cache:!1,dataType:"json",data:{security:a("#nonce").val()},beforeSend:function(){a("#snippet-form .form-actions").append('<img class="intense-preview-loader" src="'+intense_vars.plugin_url+'/assets/img/ajax-loader.gif" style="float: right; margin-top: -10px;" />')},success:function(b){var c=a("#snippet-selection");c.data("snippets",b),a("#snippet-form .form-actions").find(".intense-preview-loader").remove(),c.children().remove(),c.append(a("<option></option>").attr("value","").text("").data("content","")),a.each(b,function(b,d){$option_group=a('<optgroup label="'+d.title+'">'),a.each(d.snippets,function(b,c){$option_group.append(a("<option></option>").attr("value",c.id).text(c.title))}),c.append($option_group)}),c.selectize({create:!1,sortField:"text",render:{option:function(a,b){return"<div>"+a.text+"</div>"},item:function(a,b){return'<div><i class="dashicons dashicons-intense-scissors" style="font-size: 15px;" title="'+a.text+'"></i> '+a.text+"</div>"}},onChange:function(b){var c=a("#snippet-selection").data("snippets"),d="";a.each(c,function(c,e){a.each(e.snippets,function(a,c){return c.id==b?void(d=c.content):void 0})}),a("#snippet-content").val(d),""===d?a("#snippet-content").addClass("disabled").attr("disabled","disabled"):a("#snippet-content").removeClass("disabled").attr("disabled",null)}})}}))}/*!
 * Live Preview
 */
var intensePreviewTimer=null;function intenseInitLivePreview(){var a=jQuery;a("#post-preview").after('<span id="intense-live-preview">Live <input type="checkbox" id="intense-live-preview-toggle" /></span>'),a(document).on("keyup",".wp-editor-area, #title",intenseLivePreview),a(document).on("change",".wp-editor-area, #title, #intense-live-preview-toggle, #comment_status, #ping_status",intenseLivePreview),a.each(tinyMCE.editors,function(a,b){b.onChange.add(function(a,b){intenseLivePreview()})})}function intenseLivePreview(){var a=jQuery;a("#intense-live-preview-toggle").prop("checked")&&(clearTimeout(intensePreviewTimer),intensePreviewTimer=setTimeout(function(){a("#post-preview").click()},700))}/*!
 * Shortcode Help
 */
function intenseShortcodeHelp(){var a=jQuery,b=a("#shortcode-form"),c=b.data("shortcode");a(".shortcode-help").length>0?(b.find(".shortcode-help").remove(),a(".intense-shortcodes-help").find(".dashicons").remove()):(a(".intense-shortcodes-help").append('<i class="dashicons dashicons-no-alt" style="width: auto; height: auto; line-height: inherit;"></i>'),a.ajax({type:"POST",url:ajaxurl+"?action=intense_shortcode_help_action",cache:!1,data:{security:a("#nonce").val(),shortcode:c},beforeSend:function(){b.append('<img class="intense-preview-loader" src="'+intense_vars.plugin_url+'/assets/img/ajax-loader.gif" style="float: right;" />'),b.find(".shortcode-help").remove()},success:function(c){b.find(".intense-preview-loader").remove(),b.prepend('<div class="shortcode-help">'+c+"</div>"),a(".shortcode-help").fadeIn()}}))}/*!
 * Initialize
 */
var intense_dialog_initialized=!1;jQuery(function($){intense_dialog_initialized||(//intenseInitLivePreview();
//get selection on mouseover so you don't lose focus when the
//button is clicked
$("body").on("mouseover",".intense-shortcode",function(a){if(mce_selection_start=0,mce_selection_end=0,"undefined"!=typeof qtrans_save)if($(".mce-tinymce:visible").length>0)mce_selection_start=tinyMCE.activeEditor.selection.getRng().startOffset,mce_selection_end=tinyMCE.activeEditor.selection.getRng().endOffset;else{var b=document.getElementById("qtrans_textarea_content");mce_selection_start=b.selectionStart,mce_selection_end=b.selectionEnd}}),// show dialog
$("body").on("click",".intense-shortcode",function(a){return a.preventDefault(),$(this).magnificPopup({type:"inline",alignTop:!0,callbacks:{open:function(){intenseResetDialog()},afterClose:function(){intenseResetDialog()}}}).magnificPopup("open"),!1}),$("body").on("click",".intense-snippet",function(a){a.preventDefault(),$(this).magnificPopup({type:"inline",alignTop:!0,callbacks:{beforeOpen:function(){intenseLoadSnippets()},open:function(){intenseResetSnippetDialog()},afterClose:function(){intenseResetSnippetDialog()}}}).magnificPopup("open")}),$("body").on("click","#insert-snippet",function(a){a.preventDefault(),window.wp.media.editor.insert($("#snippet-content").val()),$(".intense-snippet").magnificPopup("close")}),// filter shortcodes
$(".intense-shortcode-filter > input").keyup(function(){if(0===$(this).val().length)$(".intense.shortcode-list > li").css("opacity",1).css("background-color","#fff");else{var a=new RegExp($(this).val(),"i");$(".intense.shortcode-list > li").css("opacity",.2).css("background-color","#fff"),$(".intense.shortcode-list > li").filter(function(){return $(this).text().match(a)}).css("color","#000").css("opacity",1).css("background-color","#DCE7F1")}}),// load shortcode specific dialog
$(".intense.shortcode-list > li").click(function(){var a=$(this).data("shortcode");intenseResetDialog(),intenseRenderDialog(a,"")}),// handle back button
$(".intense-shortcodes-back").click(intenseResetDialog),// handle help button
$(".intense-shortcodes-help").click(intenseShortcodeHelp),// insert shortcode
$("#intense-shortcode-selector").on("click","input[name='insert']",function(e){var shortcode=eval($(this).data("function"))(),previewContent=$(this).data("preview-content"),previewContentRegex=new RegExp(previewContent,"g"),cleanShortcode=shortcode.replace(/<br +\/>/gi,"\n").replace(previewContent,"");if("undefined"!=typeof qtrans_save){var currentLanguageValue=document.getElementById("qtrans_textarea_content").value,currentAllLanguagesValue=document.getElementById("content").value,front=currentLanguageValue.substring(0,mce_selection_start),back=currentLanguageValue.substring(mce_selection_end,currentLanguageValue.length),newText=front+cleanShortcode+back;$(".mce-tinymce:visible").length>0?window.wp.media.editor.insert(cleanShortcode):($("#qtrans_textarea_content").val(newText),switchEditors.go("content",qtrans_get_active_language()))}else window.wp.media.editor.insert(cleanShortcode);$(".intense-shortcode").magnificPopup("close"),intenseLivePreview(),e.preventDefault()}),$("#intense-active-skin").change(function(){if($("#shortcode-form").length>0){var a=$("#shortcode-form").data("shortcode");intenseRenderDialog(a,"")}}),intense_dialog_initialized=!0)});