<?php

class Intense_Field_Image_Size extends Intense_Field_Dropdown {
	private function set_default_options() {
		if ( empty( $this->args['options'] ) ) {
			require_once INTENSE_PLUGIN_FOLDER . '/inc/Intense-photosource.php';

			$sizes = Intense_Photo_Source::get_wordpress_photo_sizes();

			$size_names = array_keys( $sizes );

			$this->args['options'] = array_merge( 
				array( '' => __( 'Select', 'intense' ) . '...' ), 
				array_combine( $size_names, $size_names ) 
			);
		}
	}

	protected function render() {
		$this->set_default_options();

		return parent::render();
	}

	public function map_visual_composer() {
		$this->set_default_options();

		return parent::map_visual_composer();
	}
}