<?php
global $wp_roles;

if ( ! isset( $wp_roles ) )
    $wp_roles = new WP_Roles();

$roles = $wp_roles->get_names();

$this->sections['Snippets'] = array(
	'title' => __( 'Snippets', 'intense' ),
	'icon' => 'el-icon-scissors',
	'icon_class' => 'icon-large',
	'fields' => array(				
		array(
			'id'=>'intense_show_snippets_button',
			'type' => 'checkbox',
			'title' => __( 'Show "Snippets" Button', 'intense' ),
			'subtitle' => __( 'These user roles can see the "Snippets" button on Pages and Posts.', 'intense' ),
			'options' => $roles,
			'default' => array( 'administrator' => 1, 'editor' => 1, 'author' => 1, 'contributor' => 1, 'subscriber' => 1)
		),		
		array(
			'id'=>'intense_example_snippets',
			'type' => 'switch',
			'title' => __( "Example Snippets", "intense" ),
			'desc' => __( "Show the example snippets that are provided with the plugin. If disabled, only snippets added in WordPress or in your theme/child theme will be visible.", "intense" ),
			'default' => 1,
		),		
	)
);
