<?php

global $intense_visions_options;

$this->fields = array(
	'target_id' => array(
		'type' => 'text',
		'title' => __( 'Anchor Target ID', 'intense' ),
		'description' => __( 'optional - used to set the anchor target client-side ID. This is used if you want the animated scroll item to be anchored to another item on the page (for example, a content section).', 'intense' ),
		'skinnable' => false
	),
	'effect' => array(
		'type' => 'dropdown',
		'title' => __( 'Pre-defined Effect', 'intense' ),
		'description' => __( 'Select an effect or select Custom to create your own effect.', 'intense' ),
		'default' => '',
		'options' => array(
			'' => __( 'Select an effect', 'intense' ),
			'fadein' => __( 'Fade In', 'intense' ),
			'fadeout' => __( 'Fade Out', 'intense' ),
			'fadeinout' => __( 'Fade In/Fade Out', 'intense' ),
			// 'fixed' => __( 'Fixed w/ Fade In/Fade Out', 'intense' ),
			// 'speedup' => __( 'Speed Up', 'intense' ),
			'custom' => __( 'Custom (Advanced)', 'intense' ),
		)
	),
	'effect_code' => array(
		'type' => 'textarea',
		'title' => __( 'Effect Code', 'intense' ),
		'rows' => '5',
		'columns' => '50',
		'description' => 'This is what controls the effect during scroll. You need to know how to use Skrollr relatively well in order to modify the pre-defined effect or create your own custom effect(s). See <a href="https://github.com/Prinzhorn/skrollr#absolute-vs-relative-mode" target="_blank">Skrollr documentation</a> here.',
		'skinnable' => false,
		'class' => 'customsettings'
	),
	// 'effect_inner_code' => array(
	// 	'type' => 'textarea',
	// 	'title' => __( 'Effect Code', 'intense' ),
	// 	'rows' => '5',
	// 	'columns' => '50',
	// 	'description' => 'You need to know how to use Skrollr relatively well in order to create your own custom effect(s).',
	// 	'skinnable' => false,
	// 	'class' => 'innersettings'
	// ),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
);
