<?php

//individual animations have the following data: type, category, starthidden, endhidden
$intense_animations = array(
	'flash'                 => array( 'animate', 'Attention Seekers', false, false ),
	'shake'                 => array( 'animate', 'Attention Seekers', false, false ),
	'bounce'                => array( 'animate', 'Attention Seekers', false, false ),
	'tada'                  => array( 'animate', 'Attention Seekers', false, false ),
	'swing'                 => array( 'animate', 'Attention Seekers', false, false ),
	'wobble'                => array( 'animate', 'Attention Seekers', false, false ),
	'wiggle'                => array( 'animate', 'Attention Seekers', false, false ),
	'pulse'                 => array( 'animate', 'Attention Seekers', false, false ),
	'flip'                  => array( 'animate', 'Flippers', false, false ),
	'flipInX'               => array( 'animate', 'Flippers', true, false  ),
	'flipOutX'              => array( 'animate', 'Flippers', false, true ),
	'flipInY'               => array( 'animate', 'Flippers', true, false ),
	'flipOutY'              => array( 'animate', 'Flippers', false, true ),
	'fadeIn'                => array( 'animate', 'Fading Entrances', true, false ),
	'fadeInUp'              => array( 'animate', 'Fading Entrances', true, false ),
	'fadeInDown'            => array( 'animate', 'Fading Entrances', true, false ),
	'fadeInLeft'            => array( 'animate', 'Fading Entrances', true, false ),
	'fadeInRight'           => array( 'animate', 'Fading Entrances', true, false ),
	'fadeInUpBig'           => array( 'animate', 'Fading Entrances', true, false ),
	'fadeInDownBig'         => array( 'animate', 'Fading Entrances', true, false ),
	'fadeInLeftBig'         => array( 'animate', 'Fading Entrances', true, false ),
	'fadeInRightBig'        => array( 'animate', 'Fading Entrances', true, false ),
	'fadeOut'               => array( 'animate', 'Fading Exits', false, true ),
	'fadeOutUp'             => array( 'animate', 'Fading Exits', false, true ),
	'fadeOutDown'           => array( 'animate', 'Fading Exits', false, true ),
	'fadeOutLeft'           => array( 'animate', 'Fading Exits', false, true ),
	'fadeOutRight'          => array( 'animate', 'Fading Exits', false, true ),
	'fadeOutUpBig'          => array( 'animate', 'Fading Exits', false, true ),
	'fadeOutDownBig'        => array( 'animate', 'Fading Exits', false, true ),
	'fadeOutLeftBig'        => array( 'animate', 'Fading Exits', false, true ),
	'fadeOutRightBig'       => array( 'animate', 'Fading Exits', false, true ),
	'bounceIn'              => array( 'animate', 'Bouncing Entrances', true, false ),
	'bounceInUp'            => array( 'animate', 'Bouncing Entrances', true, false ),
	'bounceInDown'          => array( 'animate', 'Bouncing Entrances', true, false ),
	'bounceInLeft'          => array( 'animate', 'Bouncing Entrances', true, false ),
	'bounceInRight'         => array( 'animate', 'Bouncing Entrances', true, false ),
	'bounceOut'             => array( 'animate', 'Bouncing Exits', false, true ),
	'bounceOutUp'           => array( 'animate', 'Bouncing Exits', false, true ),
	'bounceOutDown'         => array( 'animate', 'Bouncing Exits', false, true ),
	'bounceOutLeft'         => array( 'animate', 'Bouncing Exits', false, true ),
	'bounceOutRight'        => array( 'animate', 'Bouncing Exits', false, true ),
	'rotateIn'              => array( 'animate', 'Rotating Entrances', true, false ),
	'rotateInUpLeft'        => array( 'animate', 'Rotating Entrances', true, false ),
	'rotateInDownLeft'      => array( 'animate', 'Rotating Entrances', true, false ),
	'rotateInUpRight'       => array( 'animate', 'Rotating Entrances', true, false ),
	'rotateInDownRight'     => array( 'animate', 'Rotating Entrances', true, false ),
	'rotateOut'             => array( 'animate', 'Rotating Exits', false, true ),
	'rotateOutUpLeft'       => array( 'animate', 'Rotating Exits', false, true ),
	'rotateOutDownLeft'     => array( 'animate', 'Rotating Exits', false, true ),
	'rotateOutUpRight'      => array( 'animate', 'Rotating Exits', false, true ),
	'rotateOutDownRight'    => array( 'animate', 'Rotating Exits', false, true ),
	'hinge'                 => array( 'animate', 'Specials', false, true ),
	'rollIn'                => array( 'animate', 'Specials', true, false ),
	'rollOut'               => array( 'animate', 'Specials', false, true ),
	'lightSpeedIn'          => array( 'animate', 'Lightspeed', true, false ),
	'lightSpeedOut'         => array( 'animate', 'Lightspeed', false, true ),
	'magic'                 => array( 'magic',   'Specials', false, true ),
	'openDownLeft'          => array( 'magic',   'Static', false, false ),
	'openDownRight'         => array( 'magic',   'Static', false, false ),
	'openUpLeft'            => array( 'magic',   'Static', false, false ),
	'openUpRight'           => array( 'magic',   'Static', false, false ),
	'openDownLeftReturn'    => array( 'magic',   'Static', true, false ),
	'openDownRightReturn'   => array( 'magic',   'Static', true, false ),
	'openUpLeftReturn'      => array( 'magic',   'Static', true, false ),
	'openUpRightReturn'     => array( 'magic',   'Static', true, false ),
	'openDownLeftOut'       => array( 'magic',   'Static', false, true ),
	'openDownRightOut'      => array( 'magic',   'Static', false, true ),
	'openUpLeftOut'         => array( 'magic',   'Static', false, true ),
	'openUpRightOut'        => array( 'magic',   'Static', false, true ),
	// The perspective was too close to some of the flip items
	// 'perspectiveDown'       => array( 'magic',   'Perspective', false, false ),
	// 'perspectiveLeft'       => array( 'magic',   'Perspective', false, false ),
	// 'perspectiveRight'      => array( 'magic',   'Perspective', false, false ),
	// 'perspectiveUp'         => array( 'magic',   'Perspective', false, false ),
	// 'perspectiveDownReturn' => array( 'magic',   'Perspective', true, false ),
	// 'perspectiveLeftReturn' => array( 'magic',   'Perspective', true, false ),
	// 'perspectiveRightReturn'=> array( 'magic',   'Perspective', true, false ),
	// 'perspectiveUpReturn'   => array( 'magic',   'Perspective', true, false ),
	'puffIn'                => array( 'magic',   'Zoom', true, false ),
	'puffOut'               => array( 'magic',   'Zoom', false, true ),
	'rotateDown'            => array( 'magic',   'Rotating Exits', false, true ),
	'rotateLeft'            => array( 'magic',   'Rotating Exits', false, true ),
	'rotateRight'           => array( 'magic',   'Rotating Exits', false, true ),
	'rotateUp'              => array( 'magic',   'Rotating Exits', false, true ),
	'slideDown'             => array( 'magic',   'Slide', false, false ),
	'slideLeft'             => array( 'magic',   'Slide', false, false ),
	'slideRight'            => array( 'magic',   'Slide', false, false ),
	'slideUp'               => array( 'magic',   'Slide', false, false ),
	'slideDownReturn'       => array( 'magic',   'Slide', true, false ),
	'slideLeftReturn'       => array( 'magic',   'Slide', true, false ),
	'slideRightReturn'      => array( 'magic',   'Slide', true, false ),
	'slideUpReturn'         => array( 'magic',   'Slide', true, false ),
	'swap'                  => array( 'magic',   'Zoom', true, false ),
	'twisterInDown'         => array( 'magic',   'Zoom', true, false ),
	'twisterInUp'           => array( 'magic',   'Zoom', true, false ),
	'vanishIn'              => array( 'magic',   'Zoom', true, false ),
	'vanishOut'             => array( 'magic',   'Zoom', false, true ),
	'swashOut'              => array( 'magic',   'Zoom', false, true ),
	'swashIn'               => array( 'magic',   'Zoom', true, false ),
	'foolishOut'            => array( 'magic',   'Specials', false, true ),
	'foolishIn'             => array( 'magic',   'Specials', true, false ),
	'holeOut'               => array( 'magic',   'Specials', false, true ),
	'tinRightOut'           => array( 'magic',   'Tin', false, true ),
	'tinLeftOut'            => array( 'magic',   'Tin', false, true ),
	'tinUpOut'              => array( 'magic',   'Tin', false, true ),
	'tinDownOut'            => array( 'magic',   'Tin', false, true ),
	'tinRightIn'            => array( 'magic',   'Tin', true, false ),
	'tinLeftIn'             => array( 'magic',   'Tin', true, false ),
	'tinUpIn'               => array( 'magic',   'Tin', true, false ),
	'tinDownIn'             => array( 'magic',   'Tin', true, false ),
	'bombRightOut'          => array( 'magic',   'Specials', false, true ),
	'bombLeftOut'           => array( 'magic',   'Specials', false, true ),
	'floating'              => array( 'intense', 'Repeating', false, false ),
	'flyAway'               => array( 'intense', 'Repeating', false, false ),
	'gearTurn'              => array( 'intense', 'Repeating', false, false ),
	'pulsating'             => array( 'intense', 'Repeating', false, false ),
	'blinking'              => array( 'intense', 'Repeating', false, false ),
	'throbbing'             => array( 'intense', 'Repeating', false, false ),
	'beating'               => array( 'intense', 'Repeating', false, false ),
	'tossing'               => array( 'intense', 'Repeating', false, false ),
	'squishBounce'          => array( 'intense', 'Repeating', false, false ),
	'zoomInGrow'            => array( 'intense', 'Zoom', true, false ),
	'zoomInShrink'          => array( 'intense', 'Zoom', true, false ),
	'flyOut'                => array( 'intense', 'Specials', false, true ),
	'flyIn'                 => array( 'intense', 'Specials', true, false ),
	'flipInDownForward'     => array( 'intense', 'Flippers', true, false ),
	'flipInDownBackward'    => array( 'intense', 'Flippers', true, false ),
	'flipInUpForward'       => array( 'intense', 'Flippers', true, false ),
	'flipInUpBackward'      => array( 'intense', 'Flippers', true, false ),
	'flipInLeftForward'     => array( 'intense', 'Flippers', true, false ),
	'flipInLeftBackward'    => array( 'intense', 'Flippers', true, false ),
	'flipInRightForward'    => array( 'intense', 'Flippers', true, false ),
	'flipInRightBackward'   => array( 'intense', 'Flippers', true, false ),
	'swingInDownForward'    => array( 'intense', 'Swinging', true, false ),
	'swingInDownBackward'   => array( 'intense', 'Swinging', true, false ),
	'swingInUpForward'      => array( 'intense', 'Swinging', true, false ),
	'swingInUpBackward'     => array( 'intense', 'Swinging', true, false ),
	'swingInLeftForward'    => array( 'intense', 'Swinging', true, false ),
	'swingInLeftBackward'   => array( 'intense', 'Swinging', true, false ),
	'swingInRightForward'   => array( 'intense', 'Swinging', true, false ),
	'swingInRightBackward'  => array( 'intense', 'Swinging', true, false ),
	'bounceInUpExpand'      => array( 'intense', 'Bouncing Entrances', true, false ),
	'springUp'              => array( 'intense', 'Specials', true, false ),
	'zoomInBounce'          => array( 'intense', 'Zoom', true, false ),
	'pileDrive'             => array( 'intense', 'Specials', false, false ),
	'expandUp'              => array( 'intense', 'Expand', true, false ),
	'expandDown'            => array( 'intense', 'Expand', true, false ),
	'expandLeft'            => array( 'intense', 'Expand', true, false ),
	'expandRight'           => array( 'intense', 'Expand', true, false ),
);
