<?php

global $intense_visions_options;

$this->fields = array(
	'general_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'id' => array(
				'type' => 'text',
				'title' => __( 'ID', 'intense' ),
				'description' => __( 'optional - used to set the client-side ID', 'intense' ),
				'skinnable' => false
			),
			'title' => array(
				'type' => 'text',
				'title' => __( 'Title', 'intense' ),
				'skinnable' => false
			),
			'url' => array(
				'type' => 'text',
				'title' => __( 'URL', 'intense' ),
				'description' => __( 'Audio file url or audio attachment id. Supported formats: mp3, ogg', 'intense' ),
				'skinnable' => false
			),
			'width' => array(
				'type' => 'text',
				'title' => __( 'Width', 'intense' ),
				'description' => __( 'Examples: auto, 100%, or 300px', 'intense' ),
				'default' => 'auto'
			),
			'autoplay' => array(
				'type' => 'checkbox',
				'title' => __( 'Autoplay', 'intense' ),
				'description' => __( 'Play audio file automatically when page is loaded.', 'intense' ),
			),
			'loop' => array(
				'type' => 'checkbox',
				'title' => __( 'Loop', 'intense' ),
				'description' => __( 'Repeat when playback has ended.', 'intense' ),
			),
			'class' => array(
				'type' => 'text',
				'title' => __( 'CSS Class', 'intense' ),
			)
		)
	),
	'color_tab' => array(
		'type' => 'tab',
		'title' => __( 'Color', 'intense' ),
		'fields' =>  array(
			'background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Background Color', 'intense' ),
				'default' => '#dddddd'
			),
			'button_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Button Color', 'intense' ),
				'default' => 'primary'
			),
			'button_background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Button Background Color', 'intense' ),
				'default' => '#333333'
			),
			'text_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Text Color', 'intense' ),
				'default' => '#444444'
			),
			'progress_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Progress Color', 'intense' ),
				'default' => 'primary'
			),
			'progress_background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Progress Background Color', 'intense' ),
				'default' => '#cccccc'
			)
		)
	)
);
