<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false,
		'class' => 'textsettings'
	),
	'type' => array(
		'type' => 'dropdown',
		'title' => __( 'Type', 'intense' ),
		'description' => __( '<ul><li><strong>Block Text</strong> - shows formatted text in a block.</li><li><strong>Inline Text</strong> - shows formatted text inline with other text. </li><li><strong>CSS</strong> - Adds CSS code to the page.</li><li><strong>JavaScript</strong> - Adds JavaScript code to the page.</li><li><strong>HTML</strong> - Adds HTML code to the page.</li></ul>', 'intense' ),
		'options' => array(
			'block' => __( 'Block Text', 'intense' ),
			'inline' => __( 'Inline Text', 'intense' ),			
			'css' => __( 'CSS', 'intense' ),
			'js' => __( 'JavaScript', 'intense' ),
			'html' => __( 'HTML', 'intense' ),
		),
	),
	'raw_content' => array(
		'type' => 'raw',
		'title' => __( 'Raw Content', 'intense' ),
		'description' => __( 'Include any necessary script/style/etc. tags when you enter the raw content. Paste pre-created raw content and press the "Decode Raw Value" button to edit.', 'intense' ),
		'columns' => '50',
		'rows' => '10',
		'class' => 'contentsettings'
	),
	'color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Color', 'intense' ),
		'default' => 'muted',
		'class' => 'textsettings'
	),
	'font_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Font Color', 'intense' ),
		'description' => __( 'if left blank, either black or white will automatically be chosen', 'intense' ),
		'class' => 'textsettings'
	),
	'border_radius' => array(
		'type' => 'border_radius',
		'title' => __( 'Border Radius', 'intense' ),
		'class' => 'textsettings'
	),
	'inline' => array( 'type' => 'deprecated', 'description' => 'use type instead' ),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
		'class' => 'textsettings'
	),
);
