<?php

global $intense_visions_options;

$this->fields = array(
	'size' => array(
		'type' => 'text',
		'title' => __( 'Size', 'intense' ),
		'default' => 12,
		'composer_show_value' => true
	),
	'medium_size' => array(
		'type' => 'text',
		'title' => __( 'Medium Size', 'intense' ),
		'description' => __( 'used to change the layout when viewed on medium devices - desktops (≥992px)', 'intense' ),
		'default' => 12,
		'composer_show_value' => true
	),
	'small_size' => array(
		'type' => 'text',
		'title' => __( 'Small Size', 'intense' ),
		'description' => __( 'used to change the layout when viewed on small devices - tablets (≥768px)', 'intense' ),
		'default' => 12,
		'composer_show_value' => true
	),
	'extra_small_size' => array(
		'type' => 'text',
		'title' => __( 'Extra Small Size', 'intense' ),
		'description' => __( 'used to change the layout when viewed on extra small devices - phones (<768px)', 'intense' ),
		'default' => 12,
		'composer_show_value' => true
	),
	'nogutter' => array(
		'type' => 'checkbox',
		'title' => __( 'Show Gutter', 'intense' ),
		'description' => __( 'removes the default gutter at the sides of the column', 'intense' ),
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
);