<?php

global $intense_visions_options;

$this->fields = array(
	'date' => array(
		'type' => 'text',
		'title' => __( 'Date', 'intense' ),
		'description' => __('Set a date in "mm/dd/yyyy" format or leave blank to use the current date.', 'intense'),
        'skinnable' => true,
	),
	'format' => array(
		'type' => 'dropdown',
		'title' => __( 'Format', 'intense' ),
		'options' => array(
			'mdy_slash' => __( '03/10/2001', 'intense' ),
			'mdy_dash' => __( '03-10-2001', 'intense' ),
			'mdy_dot' => __( '03.10.2001', 'intense' ),
			'ymd_slash' => __( '2001/03/10', 'intense' ),
			'ymd_dash' => __( '2001-03-10', 'intense' ),
			'ymd_dot' => __( '2001.03.10', 'intense' ),
			'mdy' => __( 'March 10, 2001', 'intense' ),
			'mdsy' => __( 'March 10th, 2001', 'intense' ),
			'jny' => __( '10, 3, 2001', 'intense' ),
			'dmj' => __( 'Sat Mar 10', 'intense' ),
			'dmjy' => __( 'Sat Mar 10, 2001', 'intense' ),
			'dmjs' => __( 'Sat Mar 10th', 'intense' ),
			'dmjsy' => __( 'Sat Mar 10th, 2001', 'intense' ),
			'lmj' => __( 'Saturday Mar 10', 'intense' ),
			'lmjy' => __( 'Saturday Mar 10, 2001', 'intense' ),
			'lmjs' => __( 'Saturday Mar 10th', 'intense' ),
			'lmjsy' => __( 'Saturday Mar 10th, 2001', 'intense' ),
			'l' => __( 'Saturday', 'intense' ),
			'fuzzy' => __( 'Fuzzy (ex. 3 days ago)', 'intense' ),
		),
		'description' => __('Example date formats in the dropdown above are for March 10th 2001.', 'intense'),
		'default' => 'mdy_slash',
	),
);