<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'type' => array(
		'type' => 'dropdown',
		'title' => __( 'Type', 'intense' ),
		'options' => array(
			'' => '',
			'boxes' => __( 'Boxes', 'intense' ),
			'circle-big' => __( 'Circle Big', 'intense' ),
			'circle-edge' => __( 'Circle Edge', 'intense' ),
			'circle' => __( 'Circle', 'intense' ),
			'clouds' => __( 'Clouds', 'intense' ),
			'curve-big' => __( 'Curve Big', 'intense' ),
			'curve-left' => __( 'Curve Left', 'intense' ), 
			'curve-right' => __( 'Curve Right', 'intense' ),
			'diagonal-left' => __( 'Diagonal Left', 'intense' ),
			'diagonal-right' => __( 'Diagonal Right', 'intense' ),
			'diamond-tripple' => __( 'Diamond - Tripple', 'intense' ),
			'diamond' => __( 'Diamond', 'intense' ),			
			//'double-diagonal-left' => __( 'Double Diagonal Left', 'intense' ),
			//'double-diagonal-right' => __( 'Double Diagonal Right', 'intense' ),
			'round-edge' => __( 'Round Edge', 'intense' ),
			'round-split-shadow' => __( 'Round Split Shadow', 'intense' ),
			'round-split' => __( 'Round Split', 'intense' ),			
			'triangle-big-centered' => __( 'Triangle Big - Centered ', 'intense' ),
			'triangle-big-inverse' => __( 'Triangle Big - Inverse', 'intense' ),
			'triangle-big-left' => __( 'Triangle Big - Left', 'intense' ),
			'triangle-big-right' => __( 'Triangle Big - Right', 'intense' ),
			'triangle-big-shadow-left' => __( 'Triangle Big Shadow - Left', 'intense' ),
			'triangle-big-shadow-right' => __( 'Triangle Big Shadow - Right', 'intense' ),
			'triangle' => __( 'Triangle', 'intense' ),
			'waves' => __( 'Waves', 'intense' ),
			'zigzag' => __( 'Zigzag', 'intense' ),
			'zigzag-castle' => __( 'Zigzag Castle', 'intense' ),
			'zigzag-incline' => __( 'Zigzag Incline', 'intense' ),
			'zigzag-small' => __( 'Zigzag Small', 'intense' ),
		)
	),
	'location' => array(
		'type' => 'dropdown',
		'title' => __( 'Location', 'intense' ),
		'options' => array(
			'top' => __( 'Top', 'intense' ),
			'bottom' => __( 'Bottom', 'intense' ),
		)
	),	
	'primary_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Primary Color', 'intense' ),	
	),
	'secondary_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Secondary Color', 'intense' ),
		'description' => __( 'may not apply to most divider types', 'intense' ),
	),
	'tertiary_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Tertiary Color', 'intense' ),
		'description' => __( 'may not apply to most divider types', 'intense' ),
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
);
