<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Color', 'intense' ),
		'default' => 'primary'
	),
	'tag' => array(
		'type' => 'dropdown',
		'title' => __( 'HTML Tag', 'intense' ),
		'options' => array(
			'p' => __( '&lt;p&gt; - Paragraph', 'intense' ),
			'span' => __( '&lt;span&gt; - Span', 'intense' ),
		),
		'default' => 'p'
	),	
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
);
