<?php

global $intense_visions_options;

$this->fields = array(
	'type' => array(
		'type' => 'dropdown',
		'title' => __( 'Type', 'intense' ),
		'options' => array(
			'text' => __( 'Text', 'intense' ),
			'image' => __( 'image', 'intense' ),
		),
	),
	'paragraphs' => array(
		'type' => 'text',
		'title' => __( 'Paragraphs', 'intense' ),
		'class' => 'textsettings'
	),
	'words' => array(
		'type' => 'text',
		'title' => __( 'Words', 'intense' ),
		'class' => 'textsettings'
	),
	'bytes' => array(
		'type' => 'text',
		'title' => __( 'Bytes', 'intense' ),
		'class' => 'textsettings'
	),
	'list' => array(
		'type' => 'text',
		'title' => __( 'List Items', 'intense' ),
		'class' => 'textsettings'
	),
	'paragraph_separator' => array(
		'type' => 'dropdown',
		'title' => __( 'Paragraph Separator', 'intense' ),
		'options' => array(
			'p' => __( 'Paragraph', 'intense' ),
			'br' => __( 'Break', 'intense' ),			
			'span' => __( 'Span', 'intense' ),
		),
		'class' => 'textsettings'
	),
	'start_with_lorem' => array(
		'type' => 'checkbox',
		'title' => __( 'Start with Lorem', 'intense' ),
		'default' => 1,
		'class' => 'textsettings'
	),
	'is_title' => array(
		'type' => 'checkbox',
		'title' => __( 'Is Title', 'intense' ),
		'description' => __( 'indicates that the text should have the first character of each word uppercased', 'intense' ),
		'class' => 'textsettings'
	),
	'width' => array(
		'type' => 'text',
		'title' => __( 'Width', 'intense' ),
		'description' => __( 'max 1920', 'intense' ),
		'default' => 400,
		'class' => 'imagesettings'
	),
	'height' => array(
		'type' => 'text',
		'title' => __( 'Height', 'intense' ),
		'description' => __( 'max 1920', 'intense' ),
		'default' => 250,
		'class' => 'imagesettings'
	),
	'grayscale' => array(
		'type' => 'checkbox',
		'title' => __( 'Grayscale', 'intense' ),
		'class' => 'imagesettings'
	),
	'category' => array(
		'type' => 'dropdown',
		'title' => __( 'Category', 'intense' ),
		'options' => array(
			'' => __( 'Random', 'intense' ),
			'abstract' => __( 'Abstract', 'intense' ),
			'animals' => __( 'Animals', 'intense' ),
			'business' => __( 'Business', 'intense' ),
			'cats' => __( 'Cats', 'intense' ),
			'city' => __( 'City', 'intense' ),
			'food' => __( 'Food', 'intense' ),
			'nature' => __( 'Nature', 'intense' ),
			'people' => __( 'People', 'intense' ),
			'sports' => __( 'Sports', 'intense' ),
			'technics' => __( 'Technics', 'intense' ),
			'transport' => __( 'Transport', 'intense' ),
		),
		'class' => 'imagesettings'
	),
	'align' => array(
		'type' => 'dropdown',
		'title' => __( 'Align', 'intense' ),
		'options' => array(
			'' => '',
			'left' => __( 'Left', 'intense' ),
			'right' => __( 'Right', 'intense' ),
			'middle' => __( 'Middle', 'intense' ),
			'top' => __( 'Top', 'intense' ),
			'bottom' => __( 'Bottom', 'intense' ),
		),
		'class' => 'imagesettings'
	),
);
