<?php

global $intense_visions_options;

$this->fields = array(
	'video' => array(
		'type' => 'text',
		'title' => __( 'Video', 'intense' ),
		'description' => __( 'Youtube or Vimeo url or id', 'intense' ),
		'skinnable' => false
	),
	'key_control' => array(
		'type' => 'checkbox',
		'title' => __( 'Allow Key Control', 'intense' ),
	),
	'captions' => array(
		'type' => 'checkbox',
		'title' => __( 'Show Captions', 'intense' ),
		'class' => 'youtubesettings'
	),
	'loop' => array(
		'type' => 'checkbox',
		'title' => __( 'Loop Video', 'intense' ),
	),
	'highdef' => array(
		'type' => 'checkbox',
		'title' => __( 'Show in High Definition', 'intense' ),
		'class' => 'youtubesettings'
	),
	'annotations' => array(
		'type' => 'checkbox',
		'title' => __( 'Show Annotations', 'intense' ),
	),
	'volume' => array(
		'type' => 'text',
		'title' => __( 'Volume', 'intense' ),
		'description' => __( '0 - 100: default is 50. A negative number will completely mute the volume.', 'intense' ),
		'default' => 50,
	),
);
