<?php

global $intense_visions_options;

$this->fields = array(
	'type' => array(
		'type' => 'dropdown',
		'title' => __( 'Type', 'intense' ),
		'default' => 'embedded',
		'options' => array(
			'embedded' => __( 'Embedded', 'intense' ),
			'link' => __( 'Link', 'intense' ),
			'url' => __( 'URL', 'intense' ),
		)
	),
	'document' => array(
		'type' => 'file',
		'title' => __( 'Document', 'intense' ),
		'description' => __( 'enter a WordPress attachment ID or a URL', 'intense' ),
        'skinnable' => false
	),
	'target' => array(
        'type' => 'link_target',
        'title' => __( 'Link Target', 'intense' ),
        'class' => 'linksetting'
    ),
    'link_rel' => array(
		'type' => 'rel',
		'title' => __( 'Link Rel', 'intense' ),
		'class' => 'linksetting'
	),
	'width' => array(
		'type' => 'text',
		'title' => __( 'Width', 'intense' ),
		'description' => __( 'leave blank for auto', 'intense' ),
		'class' => 'embeddedsetting'
	),
	'height' => array(
		'type' => 'text',
		'title' => __( 'Height', 'intense' ),
		'description' => __( 'leave blank for auto', 'intense' ),
		'class' => 'embeddedsetting'
	),
);