<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'source' => array(
		'type' => 'icon_source',
		'title' => __( 'Source', 'intense' ),
		'default' => 'font-awesome',
		'composer_show_value' => true
	),
	'type' => array(
		'type' => 'icon',		
		'title' => __( 'Icon', 'intense' ),
		'composer_show_value' => true
	),
	'title' => array(
		'type' => 'text',
		'title' => __( 'Title', 'intense' ),
	),
	'size' => array(
		'type' => 'dropdown',
		'title' => __( 'Size', 'intense' ),
		'options' => array(
			'1' => '1',
			'2' => '2',
			'3' => '3',
			'4' => '4',
			'5' => '5'
		)
	),
	'width' => array(
		'type' => 'text',
		'title' => __( 'Width', 'intense' ),
	),
	'height' => array(
		'type' => 'text',
		'title' => __( 'Height', 'intense' ),
	),
	'color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Color', 'intense' ),
	),
	'spin' => array(
		'type' => 'checkbox',
		'title' => __( 'Spin', 'intense' ),
	),
	'rotate' => array(
		'type' => 'dropdown',
		'title' => __( 'Rotate', 'intense' ),
		'options' => array(
			'' => '',
			'90' => __( '90 degrees', 'intense' ),
			'180' => __( '180 degrees', 'intense' ),
			'270' => __( '270 degrees', 'intense' )
		)
	),
	'flip' => array(
		'type' => 'dropdown',
		'title' => __( 'Flip', 'intense' ),
		'options' => array(
			'' => '',
			'horizontal' => __( 'Horizontal', 'intense' ),
			'vertical' => __( 'Vertical', 'intense' )
		)
	),
	'stack_source' => array(
		'type' => 'icon_source',
		'title' => __( 'Stack Source', 'intense' ),
		'default' => 'font-awesome'
	),
	'stack_type' => array(
		'type' => 'icon',
		'title' => __( 'Stack Icon', 'intense' ),
	),
	'stack_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Stack Color', 'intense' ),
	),	
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
	'extra_class' => array( 'type' => 'deprecated', 'description' => 'use class instead' ),
);
