<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'label_username' => array(
		'type' => 'text',
		'title' => __( 'Username Label', 'intense' ),
		'description' => __( 'leave blank for default', 'intense' ),		
	),
	'label_password' => array(
		'type' => 'text',
		'title' => __( 'Password Label', 'intense' ),
		'description' => __( 'leave blank for default', 'intense' ),		
	),
	'label_remember' => array(
		'type' => 'text',
		'title' => __( 'Remember Me Label', 'intense' ),
		'description' => __( 'leave blank for default', 'intense' ),		
	),
	'label_log_in' => array(
		'type' => 'text',
		'title' => __( 'Log In Label', 'intense' ),
		'description' => __( 'leave blank for default', 'intense' ),		
	),
	'remember' => array(
		'type' => 'checkbox',
		'title' => __( 'Remember', 'intense' ),
		'description' => __( 'remember the values', 'intense' ),		
	),
	'value_remember' => array(
		'type' => 'checkbox',
		'title' => __( 'Remember Value', 'intense' ),
		'description' => __( 'default value for remember me checkbox', 'intense' ),		
	),
	'redirect' => array(
		'type' => 'text',
		'title' => __( 'Redirect Location', 'intense' ),
		'description' => __( 'url or id of the page to redirect to. URLs have to be absolute. Leave blank for the current page.', 'intense' ),		
	),
	'show_lost_password' => array(
		'type' => 'checkbox',
		'title' => __( 'Show Lost Password Link', 'intense' ),		
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
);
