<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'even_background_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Even Background Color', 'intense' ),
		'default' => '#ebebeb'
	),
	'odd_background_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Odd Background Color', 'intense' ),
		'default' => '#f5f5f5'
	),
	'featured' => array(
		'type' => 'checkbox',
		'title' => __( 'Featured', 'intense' ),
	),
	'hover_expand' => array(
		'type' => 'checkbox',
		'title' => __( 'Hover Expand', 'intense' ),
		'description' => __( 'expand the table when the mouse is hovered over', 'intense' ),
		'default' => 1
	),
	'shadow' => array(
		'type' => 'shadow',
		'title' => __( 'Shadow', 'intense' ),
	),
	'grouping' => array(
		'type' => 'text',
		'title' => __( 'Grouping', 'intense' ),
		'description' => __( 'used to group several pricing tables together into one table', 'intense' ),
		'skinnable' => false
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
	'pricing_section' => array(
		'type' => 'repeater',
		'title' => __( 'Sections', 'intense' ),
		'fields' => array(
			'template' => array(
				'type' => 'template',
				'title' => __( 'Template', 'intense' ),
				'default' => 'standard',
				'path' => '/pricing-table/',
			),
			'title' => array(
				'type' => 'text',
				'title' => __( 'Title', 'intense' ),
				'skinnable' => false
			),
			'background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Background Color', 'intense' ),
			),
			'font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Font Color', 'intense' ),
			),
			'amount' => array(
				'type' => 'text',
				'title' => __( 'Amount', 'intense' ),
			),
			'sale_amount' => array(
				'type' => 'text',
				'title' => __( 'Sale Amount', 'intense' ),
			),
			'frequency' => array(
				'type' => 'text',
				'title' => __( 'Billing Frequency', 'intense' ),
			),
			'border' => array(
				'type' => 'border',
				'title' => __( 'All Borders', 'intense' ),
			),
			'border_top' => array(
				'type' => 'border',
				'title' => __( 'Top Border', 'intense' ),
			),
			'border_right' => array(
				'type' => 'border',
				'title' => __( 'Right Border', 'intense' ),
			),
			'border_bottom' => array(
				'type' => 'border',
				'title' => __( 'Bottom Border', 'intense' ),
			),
			'border_left' => array(
				'type' => 'border',
				'title' => __( 'Left Border', 'intense' ),
			),
			'border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Border Radius', 'intense' ),
			),
		)
	),
);
