<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - the client-side id of the row. This id will be set on the HMTL tag.', 'intense' ),
        'skinnable' => false
	),    
	'margin_top' => array(
		'type' => 'text',
		'title' => __( 'Margin Top', 'intense' ),
		'default' => $intense_visions_options['intense_layout_row_default_margin']['margin-top'],
		'skinnable' => false
	),
	'margin_bottom' => array(
		'type' => 'text',
		'title' => __( 'Margin Bottom', 'intense' ),
		'default' => $intense_visions_options['intense_layout_row_default_margin']['margin-bottom'],
		'skinnable' => false
	),
	'padding_top' => array(
		'type' => 'text',
		'title' => __( 'Padding Top', 'intense' ),
		'default' => $intense_visions_options['intense_layout_row_default_padding']['padding-top'],
		'skinnable' => false
	),
	'padding_bottom' => array(
		'type' => 'text',
		'title' => __( 'Padding Bottom', 'intense' ),
		'default' => $intense_visions_options['intense_layout_row_default_padding']['padding-bottom'],
		'skinnable' => false
	),
	'nogutter' => array(
		'type' => 'checkbox',
		'title' => __( 'Hide Gutter', 'intense' ),
		'description' => __( 'removes the default gutter at the sides of the row', 'intense' ),
	),
	'class' => array(
        'type' => 'text',
        'title' => __( 'CSS Class', 'intense' ),
    ),
	'column' => array(
		'type' => 'repeater',
		'title' => __( 'Columns', 'intense' ),		
		'class' => 'columnrepeater',
		'fields' => array(
			'size' => array(
				'type' => 'text',
				'title' => __( 'Size', 'intense' ),
				'default' => 12
			),
			'medium_size' => array(
				'type' => 'text',
				'title' => __( 'Medium Size', 'intense' ),
				'description' => __( 'used to change the layout when viewed on medium devices - desktops (≥992px)', 'intense' ),
				'default' => 12,
				'composer_show_value' => true
			),
			'small_size' => array(
				'type' => 'text',
				'title' => __( 'Small Size', 'intense' ),
				'description' => __( 'used to change the layout when viewed on small devices - tablets (≥768px)', 'intense' ),
				'default' => 12,
				'composer_show_value' => true
			),
			'extra_small_size' => array(
				'type' => 'text',
				'title' => __( 'Extra Small Size', 'intense' ),
				'description' => __( 'used to change the layout when viewed on extra small devices - phones (<768px)', 'intense' ),
				'default' => 12,
				'composer_show_value' => true
			),
			'nogutter' => array(
				'type' => 'checkbox',
				'title' => __( 'Hide Gutter', 'intense' ),
				'description' => __( 'removes the default gutter at the sides of the column', 'intense' ),
			),
			'class' => array(
				'type' => 'text',
				'title' => __( 'CSS Class', 'intense' ),
			),
		)
	)
);