<?php

global $intense_visions_options;

$this->fields = array(
	'author' => array(
        'type' => 'text',
        'title' => __( 'Author', 'intense' ),
        'skinnable' => false
    ),
    'company' => array(
        'type' => 'text',
        'title' => __( 'Company', 'intense' ),
        'skinnable' => false
    ),
    'link' => array(
        'type' => 'text',
        'title' => __( 'Link', 'intense' ),
        'description' => __( 'URL, post ID, or page ID to direct the user to when clicked', 'intense' ),
        'skinnable' => false
    ),
    'link_target' => array(
        'type' => 'link_target',
        'title' => __( 'Link Target', 'intense' ),
        'default' => '_blank'
    ),
    'link_rel' => array(
        'type' => 'rel',
        'title' => __( 'Link Rel', 'intense' ),
    ),
    'image' => array(
		'type' => 'image',
		'title' => __( 'Image', 'intense' ),
		'description' => __( 'enter a WordPress attachment ID or a URL', 'intense' ),
        'skinnable' => false
	),
	'background' => array(
		'type' => 'color_advanced',
		'title' => __( 'Background', 'intense' ),
		'default' => intense_get_plugin_color( "boxed" )
	),
	'font_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Font Color', 'intense' ),
	),
);