<?php

global $intense_visions_options;

$sidebars = $GLOBALS['wp_registered_sidebars'];
$options = array(
	'' => __( 'Select', 'intense' ) . '...'
);

foreach ( $sidebars as $sidebar ) {		
	$sidebar_name = __( $sidebar["name"], "intense" );
	$options[ $sidebar["id"] ] = $sidebar_name;
}

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'type' => array(
		'type' => 'dropdown',
		'title' => __( 'Type', 'intense' ),
		'default' => 'widget',
		'options' => array(
			'widget' => __( 'Individual Widget', 'intense' ),
			'sidebar' => __( 'Widget Sidebar', 'intense' ),
		),
	),	
	'widget' => array(
		'type' => 'widget_type',
		'title' => __( 'Widget', 'intense' ),
		'default' => '',
		'class' => 'widgetsettings'
	),
	'widget_settings' => array(
		'type' => 'textarea',
		'title' => __( 'Settings', 'intense' ),
		'skinnable' => false,
		'class' => 'widgetsettings hide'
	),
	'sidebar' => array(
		'type' => 'dropdown',
		'title' => __( 'Sidebar', 'intense' ),
		'options' => $options,
		'default' => '',
		'class' => 'sidebarsettings'
	)
);
